var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var dismissAlertCommand = (function (_super) {
        __extends(dismissAlertCommand, _super);
        function dismissAlertCommand(db, alertUniqueKey) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.alertUniqueKey = alertUniqueKey;
            return _this;
        }
        dismissAlertCommand.prototype.execute = function () {
            var _this = this;
            var url = "/operation/alert/dismiss"; //TODO: use endpoints
            var args = {
                key: this.alertUniqueKey
            };
            return this.post(url, JSON.stringify(args), this.db, { dataType: 'text' })
                .fail(function (response) { return _this.reportError("Failed to dismiss alert", response.responseText, response.statusText); });
        };
        return dismissAlertCommand;
    }(commandBase));
    return dismissAlertCommand;
});

//# sourceMappingURL=dismissAlertCommand.js.map
