var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/debug/alert", "endpoints"], function (require, exports, commandBase, alert, endpoints) {
    "use strict";
    var getDatabaseAlertsCommand = (function (_super) {
        __extends(getDatabaseAlertsCommand, _super);
        function getDatabaseAlertsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getDatabaseAlertsCommand.prototype.execute = function () {
            var url = endpoints.databases.databaseAlerts.alerts;
            return this.query(url, null, this.db, function (result) { return result.map(function (a) { return new alert(a); }); });
        };
        return getDatabaseAlertsCommand;
    }(commandBase));
    return getDatabaseAlertsCommand;
});

//# sourceMappingURL=getDatabaseAlertsCommand.js.map
