var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getSingleAuthTokenCommand = (function (_super) {
        __extends(getSingleAuthTokenCommand, _super);
        function getSingleAuthTokenCommand(resource, checkIfMachineAdmin) {
            if (checkIfMachineAdmin === void 0) { checkIfMachineAdmin = false; }
            var _this = _super.call(this) || this;
            _this.resource = resource;
            _this.checkIfMachineAdmin = checkIfMachineAdmin;
            return _this;
        }
        getSingleAuthTokenCommand.prototype.execute = function () {
            var args = null;
            if (this.checkIfMachineAdmin) {
                args = {
                    CheckIfMachineAdmin: true
                };
            }
            return this.query(endpoints.databases.singleAuthToken.singleAuthToken, args, this.resource);
        };
        return getSingleAuthTokenCommand;
    }(commandBase));
    return getSingleAuthTokenCommand;
});

//# sourceMappingURL=getSingleAuthTokenCommand.js.map
