var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var verifyPrincipalCommand = (function (_super) {
        __extends(verifyPrincipalCommand, _super);
        function verifyPrincipalCommand(mode, principal) {
            var _this = _super.call(this) || this;
            _this.mode = mode;
            _this.principal = principal;
            return _this;
        }
        verifyPrincipalCommand.prototype.execute = function () {
            return this.query("/admin/verify-principal", { mode: this.mode, principal: this.principal }, null, function (r) { return r.Valid; }, null, 25000); //TODO: use endpoints
        };
        return verifyPrincipalCommand;
    }(commandBase));
    return verifyPrincipalCommand;
});

//# sourceMappingURL=verifyPrincipalCommand.js.map
