var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getCounterStorageStatsCommand = (function (_super) {
        __extends(getCounterStorageStatsCommand, _super);
        function getCounterStorageStatsCommand(cs, longWait) {
            if (longWait === void 0) { longWait = false; }
            var _this = _super.call(this) || this;
            _this.cs = cs;
            _this.longWait = longWait;
            return _this;
        }
        getCounterStorageStatsCommand.prototype.execute = function () {
            var url = "/stats";
            return this.query(url, null, this.cs, null, this.getTimeToAlert(this.longWait));
        };
        return getCounterStorageStatsCommand;
    }(commandBase));
    return getCounterStorageStatsCommand;
});

//# sourceMappingURL=getCounterStorageStatsCommand.js.map
