var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var ChangeNodeVotingModeCommand = (function (_super) {
        __extends(ChangeNodeVotingModeCommand, _super);
        function ChangeNodeVotingModeCommand(db, connectionInfo) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.connectionInfo = connectionInfo;
            return _this;
        }
        ChangeNodeVotingModeCommand.prototype.execute = function () {
            var _this = this;
            return this.post("/admin/cluster/changeVotingMode?isVoting=" + !(this.connectionInfo.IsNoneVoter), //TODO: use endpoints
            ko.toJSON(this.connectionInfo), this.db, { dataType: 'text' })
                .done(function () { return _this.reportSuccess("Node was promoted to voter."); })
                .fail(function (response) { return _this.reportError("Failed to promote node to voter", response.responseText, response.statusText); });
        };
        return ChangeNodeVotingModeCommand;
    }(commandBase));
    return ChangeNodeVotingModeCommand;
});

//# sourceMappingURL=changeNodeVotingModeCommand.js.map
