var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "common/appUrl"], function (require, exports, commandBase, appUrl) {
    "use strict";
    var getDebugMetricsCommand = (function (_super) {
        __extends(getDebugMetricsCommand, _super);
        function getDebugMetricsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getDebugMetricsCommand.prototype.execute = function () {
            var url = this.getQueryUrlFragment();
            return this.query(url, null, this.db);
        };
        getDebugMetricsCommand.prototype.getQueryUrl = function () {
            return appUrl.forResourceQuery(this.db) + this.getQueryUrlFragment();
        };
        getDebugMetricsCommand.prototype.getQueryUrlFragment = function () {
            return "/debug/metrics"; //TODO: use endpoints
        };
        return getDebugMetricsCommand;
    }(commandBase));
    return getDebugMetricsCommand;
});

//# sourceMappingURL=getDebugMetricsCommand.js.map
