var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getEnvironmentStorageReportCommand = (function (_super) {
        __extends(getEnvironmentStorageReportCommand, _super);
        function getEnvironmentStorageReportCommand(db, name, type) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.name = name;
            _this.type = type;
            return _this;
        }
        getEnvironmentStorageReportCommand.prototype.execute = function () {
            var args = {
                name: this.name,
                type: this.type
            };
            var url = endpoints.databases.storage.debugStorageEnvironmentReport + this.urlEncodeArgs(args);
            return this.query(url, null, this.db);
        };
        return getEnvironmentStorageReportCommand;
    }(commandBase));
    return getEnvironmentStorageReportCommand;
});

//# sourceMappingURL=getEnvironmentStorageReportCommand.js.map
