var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getStatusDebugQueriesCommand = (function (_super) {
        __extends(getStatusDebugQueriesCommand, _super);
        function getStatusDebugQueriesCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getStatusDebugQueriesCommand.prototype.execute = function () {
            var url = "/debug/queries"; //TODO: use endpoints
            var resultSelector = function (result) { return $.map(result, function (queries, key) { return { IndexName: key, Queries: queries }; }); };
            return this.query(url, null, this.db, resultSelector);
        };
        return getStatusDebugQueriesCommand;
    }(commandBase));
    return getStatusDebugQueriesCommand;
});

//# sourceMappingURL=getStatusDebugQueriesCommand.js.map
