var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var deleteCollectionCommand = (function (_super) {
        __extends(deleteCollectionCommand, _super);
        function deleteCollectionCommand(collectionName, db) {
            var _this = _super.call(this) || this;
            _this.collectionName = collectionName;
            _this.db = db;
            _this.displayCollectionName = (collectionName === "*") ? "All Documents" : collectionName;
            return _this;
        }
        deleteCollectionCommand.prototype.execute = function () {
            this.reportInfo("Deleting " + this.displayCollectionName);
            var args = {
                name: this.collectionName
            };
            var url = endpoints.databases.collections.collectionsDocs + this.urlEncodeArgs(args);
            return this.del(url, null, this.db, { dataType: undefined });
        };
        return deleteCollectionCommand;
    }(commandBase));
    return deleteCollectionCommand;
});

//# sourceMappingURL=deleteCollectionCommand.js.map
