var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getDocumentsMetadataByIDPrefixCommand = (function (_super) {
        __extends(getDocumentsMetadataByIDPrefixCommand, _super);
        function getDocumentsMetadataByIDPrefixCommand(prefix, resultsAmount, db) {
            var _this = _super.call(this) || this;
            _this.prefix = prefix;
            _this.resultsAmount = resultsAmount;
            _this.db = db;
            return _this;
        }
        getDocumentsMetadataByIDPrefixCommand.prototype.execute = function () {
            var url = '/docs'; //TODO: use endpoints
            var args = {
                'startsWith': this.prefix,
                'exclude': null,
                'start': 0,
                'pageSize': this.resultsAmount,
                'metadata-only': true
            };
            return this.query(url, args, this.db, function (x) { return x.Results; });
        };
        return getDocumentsMetadataByIDPrefixCommand;
    }(commandBase));
    return getDocumentsMetadataByIDPrefixCommand;
});

//# sourceMappingURL=getDocumentsMetadataByIDPrefixCommand.js.map
