var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getServerPrefixForHiLoCommand = (function (_super) {
        __extends(getServerPrefixForHiLoCommand, _super);
        function getServerPrefixForHiLoCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            if (!db) {
                throw new Error("Must specify database");
            }
            return _this;
        }
        getServerPrefixForHiLoCommand.prototype.execute = function () {
            var resultsSelector = function (queryResult) { return queryResult.ServerPrefix; };
            var url = "/docs?id=Raven/ServerPrefixForHilo"; //TODO: use endpoints
            return this.query(url, null, this.db, resultsSelector);
        };
        return getServerPrefixForHiLoCommand;
    }(commandBase));
    return getServerPrefixForHiLoCommand;
});

//# sourceMappingURL=getServerPrefixForHiLoCommand.js.map
