var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/documents/document"], function (require, exports, commandBase, document) {
    "use strict";
    var getEffectiveSettingsCommand = (function (_super) {
        __extends(getEffectiveSettingsCommand, _super);
        function getEffectiveSettingsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            if (!db) {
                throw new Error("Must specify database");
            }
            return _this;
        }
        getEffectiveSettingsCommand.prototype.execute = function () {
            var resultsSelector = function (queryResult) { return new document(queryResult); };
            var url = "/configuration/global/settings"; //TODO: use endpoints
            return this.query(url, null, null, resultsSelector);
        };
        return getEffectiveSettingsCommand;
    }(commandBase));
    return getEffectiveSettingsCommand;
});

//# sourceMappingURL=getEffectiveSettingsCommand.js.map
