var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var forceIndexReplace = (function (_super) {
        __extends(forceIndexReplace, _super);
        function forceIndexReplace(indexName, db) {
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.db = db;
            return _this;
        }
        forceIndexReplace.prototype.execute = function () {
            var _this = this;
            this.reportInfo("Replacing index (forced)");
            var url = "/indexes/" + this.indexName + "?op=forceReplace"; //TODO: use endpoints
            return this.post(url, null, this.db, { dataType: undefined }).done(function () {
                _this.reportSuccess("Replaced index " + _this.indexName);
            }).fail(function (response) { return _this.reportError("Failed to replace index.", response.responseText, response.statusText); });
        };
        return forceIndexReplace;
    }(commandBase));
    return forceIndexReplace;
});

//# sourceMappingURL=forceIndexReplace.js.map
