var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getCSharpIndexDefinitionCommand = (function (_super) {
        __extends(getCSharpIndexDefinitionCommand, _super);
        function getCSharpIndexDefinitionCommand(indexName, db) {
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.db = db;
            return _this;
        }
        getCSharpIndexDefinitionCommand.prototype.execute = function () {
            var args = {
                name: this.indexName
            };
            var url = endpoints.databases.index.indexesCSharpIndexDefinition + this.urlEncodeArgs(args);
            return this.query(url, null, this.db, null, { dataType: "text" });
        };
        return getCSharpIndexDefinitionCommand;
    }(commandBase));
    return getCSharpIndexDefinitionCommand;
});

//# sourceMappingURL=getCSharpIndexDefinitionCommand.js.map
