var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexDebugSourceDocumentsCommand = (function (_super) {
        __extends(getIndexDebugSourceDocumentsCommand, _super);
        function getIndexDebugSourceDocumentsCommand(db, indexName, startsWith, skip, take) {
            if (skip === void 0) { skip = 0; }
            if (take === void 0) { take = 256; }
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.indexName = indexName;
            _this.startsWith = startsWith;
            _this.skip = skip;
            _this.take = take;
            return _this;
        }
        getIndexDebugSourceDocumentsCommand.prototype.execute = function () {
            var args = {
                start: this.skip,
                pageSize: this.take,
                op: "source-doc-ids",
                name: this.indexName,
                startsWith: this.startsWith
            };
            var url = endpoints.databases.index.indexesDebug;
            return this.query(url, args, this.db);
        };
        return getIndexDebugSourceDocumentsCommand;
    }(commandBase));
    return getIndexDebugSourceDocumentsCommand;
});

//# sourceMappingURL=getIndexDebugSourceDocumentsCommand.js.map
