var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexDefinitionCommand = (function (_super) {
        __extends(getIndexDefinitionCommand, _super);
        function getIndexDefinitionCommand(indexName, db) {
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.db = db;
            return _this;
        }
        getIndexDefinitionCommand.prototype.execute = function () {
            var args = {
                name: this.indexName
            };
            var url = endpoints.databases.index.indexes;
            var extractor = function (results) {
                return results.Results && results.Results.length ? results.Results[0] : null;
            };
            return this.query(url, args, this.db, extractor);
        };
        return getIndexDefinitionCommand;
    }(commandBase));
    return getIndexDefinitionCommand;
});

//# sourceMappingURL=getIndexDefinitionCommand.js.map
