var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexEntriesFieldsCommand = (function (_super) {
        __extends(getIndexEntriesFieldsCommand, _super);
        function getIndexEntriesFieldsCommand(indexName, db) {
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.db = db;
            return _this;
        }
        getIndexEntriesFieldsCommand.prototype.execute = function () {
            var args = {
                name: this.indexName,
                op: "entries-fields"
            };
            var url = endpoints.databases.index.indexesDebug;
            return this.query(url, args, this.db);
        };
        return getIndexEntriesFieldsCommand;
    }(commandBase));
    return getIndexEntriesFieldsCommand;
});

//# sourceMappingURL=getIndexEntriesFieldsCommand.js.map
