var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexMapReduceTreeCommand = (function (_super) {
        __extends(getIndexMapReduceTreeCommand, _super);
        function getIndexMapReduceTreeCommand(db, indexName, documentId) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.indexName = indexName;
            _this.documentId = documentId;
            return _this;
        }
        getIndexMapReduceTreeCommand.prototype.execute = function () {
            var url = endpoints.databases.index.indexesDebug;
            var args = {
                docID: this.documentId,
                name: this.indexName,
                op: "map-reduce-tree"
            };
            return this.query(url, args, this.db);
        };
        return getIndexMapReduceTreeCommand;
    }(commandBase));
    return getIndexMapReduceTreeCommand;
});

//# sourceMappingURL=getIndexMapReduceTreeCommand.js.map
