var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexTermsCommand = (function (_super) {
        __extends(getIndexTermsCommand, _super);
        function getIndexTermsCommand(indexName, field, db, pageSize, fromValue) {
            if (fromValue === void 0) { fromValue = undefined; }
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.field = field;
            _this.db = db;
            _this.pageSize = pageSize;
            _this.fromValue = fromValue;
            return _this;
        }
        getIndexTermsCommand.prototype.execute = function () {
            var args = {
                field: this.field,
                name: this.indexName,
                pageSize: this.pageSize,
                fromValue: this.fromValue
            };
            var url = endpoints.databases.index.indexesTerms;
            return this.query(url, args, this.db);
        };
        return getIndexTermsCommand;
    }(commandBase));
    return getIndexTermsCommand;
});

//# sourceMappingURL=getIndexTermsCommand.js.map
