var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var explainReplicationCommand = (function (_super) {
        __extends(explainReplicationCommand, _super);
        function explainReplicationCommand(db, documentId, url, databaseName) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.documentId = documentId;
            _this.url = url;
            _this.databaseName = databaseName;
            return _this;
        }
        explainReplicationCommand.prototype.execute = function () {
            var args = {
                destinationUrl: this.url,
                databaseName: this.databaseName
            };
            return this.query("/replication/explain/" + this.documentId, args, this.db); //TODO: use endpoints
        };
        return explainReplicationCommand;
    }(commandBase));
    return explainReplicationCommand;
});

//# sourceMappingURL=explainReplicationCommand.js.map
