var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getSqlReplicationStatsCommand = (function (_super) {
        __extends(getSqlReplicationStatsCommand, _super);
        function getSqlReplicationStatsCommand(ownerDb, sqlReplicationName) {
            var _this = _super.call(this) || this;
            _this.ownerDb = ownerDb;
            _this.sqlReplicationName = sqlReplicationName;
            if (!_this.ownerDb) {
                throw new Error("Must specify a database.");
            }
            return _this;
        }
        getSqlReplicationStatsCommand.prototype.execute = function () {
            var args = {
                name: this.sqlReplicationName
            };
            var url = endpoints.databases.sqlReplication.sqlReplicationStats;
            return this.query(url, args, this.ownerDb);
        };
        return getSqlReplicationStatsCommand;
    }(commandBase));
    return getSqlReplicationStatsCommand;
});

//# sourceMappingURL=getSqlReplicationStatsCommand.js.map
