var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var testSqlConnectionCommand = (function (_super) {
        __extends(testSqlConnectionCommand, _super);
        function testSqlConnectionCommand(db, factoryName, connectionString) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.factoryName = factoryName;
            _this.connectionString = connectionString;
            return _this;
        }
        testSqlConnectionCommand.prototype.execute = function () {
            var args = {
                factoryName: this.factoryName,
                connectionString: this.connectionString
            };
            return this.query(endpoints.databases.sqlReplication.sqlReplicationTestSqlConnection, args, this.db, null, 60000);
        };
        return testSqlConnectionCommand;
    }(commandBase));
    return testSqlConnectionCommand;
});

//# sourceMappingURL=testSqlConnectionCommand.js.map
