var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var validateExportDatabaseOptionsCommand = (function (_super) {
        __extends(validateExportDatabaseOptionsCommand, _super);
        function validateExportDatabaseOptionsCommand(smugglerOptions, db) {
            var _this = _super.call(this) || this;
            _this.smugglerOptions = smugglerOptions;
            _this.db = db;
            return _this;
        }
        validateExportDatabaseOptionsCommand.prototype.execute = function () {
            return this.post(endpoints.databases.smuggler.smugglerValidateOptions, JSON.stringify(this.smugglerOptions), this.db, { dataType: undefined });
        };
        return validateExportDatabaseOptionsCommand;
    }(commandBase));
    return validateExportDatabaseOptionsCommand;
});

//# sourceMappingURL=validateExportDatabaseOptionsCommand.js.map
