var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getDestinationsCommand = (function (_super) {
        __extends(getDestinationsCommand, _super);
        function getDestinationsCommand(fs, shouldResolveNotFoundAsNull) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            if (!fs) {
                throw new Error("Must specify filesystem");
            }
            _this.shouldResolveNotFoundAsNull = shouldResolveNotFoundAsNull || false;
            return _this;
        }
        getDestinationsCommand.prototype.execute = function () {
            var url = "/config";
            var args = {
                name: "Raven/Synchronization/Destinations"
            };
            return this.query(url, args, this.fs);
        };
        return getDestinationsCommand;
    }(commandBase));
    return getDestinationsCommand;
});

//# sourceMappingURL=getDestinationsCommand.js.map
