var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var searchFilesystemByTermCommand = (function (_super) {
        __extends(searchFilesystemByTermCommand, _super);
        function searchFilesystemByTermCommand(fs, queryParameter) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            _this.queryParameter = queryParameter;
            return _this;
        }
        searchFilesystemByTermCommand.prototype.execute = function () {
            var url = "/search/Terms";
            return this.query(url, { query: this.queryParameter }, this.fs);
        };
        return searchFilesystemByTermCommand;
    }(commandBase));
    return searchFilesystemByTermCommand;
});

//# sourceMappingURL=searchByTermCommand.js.map
