var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var licenseRegistrationCommand = (function (_super) {
        __extends(licenseRegistrationCommand, _super);
        function licenseRegistrationCommand(registrationData) {
            var _this = _super.call(this) || this;
            _this.registrationData = registrationData;
            return _this;
        }
        licenseRegistrationCommand.prototype.execute = function () {
            var _this = this;
            var url = endpoints.global.license.licenseRegistration;
            return this.post(url, JSON.stringify(this.registrationData), null, { dataType: undefined })
                .fail(function (response) {
                _this.reportError("Failed to send registration information", response.responseText, response.statusText);
            });
        };
        return licenseRegistrationCommand;
    }(commandBase));
    return licenseRegistrationCommand;
});

//# sourceMappingURL=licenseRegistrationCommand.js.map
