var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var adminJsScriptCommand = (function (_super) {
        __extends(adminJsScriptCommand, _super);
        function adminJsScriptCommand(script, targetDatabase) {
            var _this = _super.call(this) || this;
            _this.script = script;
            _this.targetDatabase = targetDatabase;
            return _this;
        }
        adminJsScriptCommand.prototype.execute = function () {
            var _this = this;
            var url = "/admin/console/" + this.targetDatabase.toString(); //TODO: use endpoints
            return this.post(url, ko.toJSON({ script: this.script }), null)
                .done(function () { return _this.reportSuccess("Script executed"); })
                .fail(function (response) { return _this.reportError("Script failed", response.responseText, response.statusText); });
        };
        return adminJsScriptCommand;
    }(commandBase));
    return adminJsScriptCommand;
});

//# sourceMappingURL=adminJsScriptCommand.js.map
