var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getGlobalReplicationTopology = (function (_super) {
        __extends(getGlobalReplicationTopology, _super);
        function getGlobalReplicationTopology(databases, filesystems, counters) {
            var _this = _super.call(this) || this;
            _this.databases = databases;
            _this.filesystems = filesystems;
            _this.counters = counters;
            return _this;
        }
        getGlobalReplicationTopology.prototype.execute = function () {
            var args = {
                Databases: this.databases,
                Filesystems: this.filesystems,
                Counters: this.counters
            };
            return this.post("/admin/replication/topology/global", ko.toJSON(args), null, null, 20000).then(function (result) {
                return result;
            });
        };
        return getGlobalReplicationTopology;
    }(commandBase));
    return getGlobalReplicationTopology;
});

//# sourceMappingURL=getGlobalReplicationTopology.js.map
