var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var putPointCommand = (function (_super) {
        __extends(putPointCommand, _super);
        function putPointCommand(type, key, at, values, ts) {
            var _this = _super.call(this) || this;
            _this.type = type;
            _this.key = key;
            _this.at = at;
            _this.values = values;
            _this.ts = ts;
            return _this;
        }
        putPointCommand.prototype.execute = function () {
            var _this = this;
            var url = "/append/" + this.type;
            var args = JSON.stringify({ type: this.type, key: this.key, at: this.at, values: this.values });
            return this.put(url, args, this.ts, { dataType: undefined })
                .done(function () { return _this.reportSuccess("Point saved"); })
                .fail(function (response) {
                _this.reportError("Failed to save point", response.responseText, response.statusText);
            });
        };
        return putPointCommand;
    }(commandBase));
    return putPointCommand;
});

//# sourceMappingURL=putPointCommand.js.map
