define(["require", "exports"], function (require, exports) {
    "use strict";
    var changeSubscription = (function () {
        function changeSubscription(onOff) {
            this.onOff = onOff;
            this.executed = false;
        }
        changeSubscription.prototype.off = function () {
            if (!this.executed) {
                this.executed = true;
                this.onOff();
            }
        };
        return changeSubscription;
    }());
    return changeSubscription;
});

//# sourceMappingURL=changeSubscription.js.map
