define(["require", "exports", "common/shell/menu/intermediateMenuItem", "common/shell/menu/leafMenuItem"], function (require, exports, intermediateMenuItem, leafMenuItem) {
    "use strict";
    function getResourcesMenuItem(appUrls) {
        var items = [
            new leafMenuItem({
                route: ["", "resources"],
                title: "Dashboard",
                moduleId: "viewmodels/resources/resources",
                nav: true,
                css: 'icon-dashboard',
                dynamicHash: appUrls.resourcesManagement
            })
        ];
        return new intermediateMenuItem("Resources", items, "icon-resources", {
            dynamicHash: appUrls.resourcesManagement
        });
    }
    return getResourcesMenuItem;
});

//# sourceMappingURL=resources.js.map
