/// <reference path="../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var counterSummary = (function () {
        function counterSummary(dto, isAllGroupsGroup) {
            if (isAllGroupsGroup === void 0) { isAllGroupsGroup = false; }
            this.isAllGroupsGroup = isAllGroupsGroup;
            var self = this;
            self["Counter Name"] = dto.CounterName;
            self["Group Name"] = dto.GroupName;
            this.Total = dto.Total;
        }
        counterSummary.prototype.getEntityName = function () {
            return this["Group Name"];
        };
        counterSummary.prototype.getDocumentPropertyNames = function () {
            var properties = ["Counter Name"];
            if (this.isAllGroupsGroup)
                properties.push("Group Name");
            properties.push("Total");
            return properties;
        };
        counterSummary.prototype.getId = function () {
            return this["Counter Name"];
        };
        counterSummary.prototype.getUrl = function () {
            return this.getId();
        };
        return counterSummary;
    }());
    return counterSummary;
});

//# sourceMappingURL=counterSummary.js.map
