/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var clusterConfiguration = (function () {
        function clusterConfiguration(dto) {
            this.enableReplication = ko.observable();
            this.enableReplication(dto.EnableReplication);
        }
        clusterConfiguration.prototype.toDto = function () {
            return {
                EnableReplication: this.enableReplication()
            };
        };
        clusterConfiguration.empty = function () {
            return new clusterConfiguration({
                EnableReplication: false
            });
        };
        return clusterConfiguration;
    }());
    return clusterConfiguration;
});

//# sourceMappingURL=clusterConfiguration.js.map
