/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var adminLogsConfig = (function () {
        function adminLogsConfig() {
            this.entries = ko.observableArray();
            this.maxEntries = ko.observable();
            this.singleAuthToken = ko.observable();
        }
        adminLogsConfig.prototype.clone = function () {
            var newConfig = new adminLogsConfig();
            newConfig.maxEntries(this.maxEntries());
            newConfig.entries($.map(this.entries() || [], function (e, idx) { return e.clone(); }));
            return newConfig;
        };
        return adminLogsConfig;
    }());
    return adminLogsConfig;
});

//# sourceMappingURL=adminLogsConfig.js.map
