/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var debugDocumentStats = (function () {
        function debugDocumentStats(dto) {
            this.total = dto.Total;
            this.totalSize = dto.TotalSize;
            this.tombstones = dto.Tombstones;
            this.system = dto.System;
            this.noCollection = dto.NoCollection;
            this.collections = $.map(dto.Collections, function (data, name) { return { "name": name, "stats": data.Stats, "size": data.TotalSize, "topDocs": data.TopDocs }; });
            this.timeToGenerate = dto.TimeToGenerate;
        }
        return debugDocumentStats;
    }());
    return debugDocumentStats;
});

//# sourceMappingURL=debugDocumentStats.js.map
