/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var dataExplorationRequest = (function () {
        function dataExplorationRequest(dto) {
            this.linq = ko.observable();
            this.collection = ko.observable();
            this.timeoutSeconds = ko.observable();
            this.pageSize = ko.observable();
            this.linq(dto.Linq);
            this.collection(dto.Collection);
            this.timeoutSeconds(dto.TimeoutSeconds);
            this.pageSize(dto.PageSize);
        }
        dataExplorationRequest.prototype.toDto = function () {
            return {
                Linq: this.linq(),
                Collection: this.collection(),
                TimeoutSeconds: this.timeoutSeconds(),
                PageSize: this.pageSize()
            };
        };
        dataExplorationRequest.empty = function () {
            return new dataExplorationRequest({
                Linq: "from result in results \nselect result",
                Collection: null,
                PageSize: 1000,
                TimeoutSeconds: 60
            });
        };
        return dataExplorationRequest;
    }());
    return dataExplorationRequest;
});

//# sourceMappingURL=dataExplorationRequest.js.map
