/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports", "models/database/replication/conflictVersion"], function (require, exports, conflictVersion) {
    "use strict";
    var conflict = (function () {
        function conflict(dto) {
            this.id = dto.Id;
            this.conflictDetectedAt = dto.ConflictDetectedAt;
            this.versions = $.map(dto.Versions, function (v) { return new conflictVersion(v); });
        }
        conflict.prototype.getId = function () {
            return this.id;
        };
        conflict.prototype.getUrl = function () {
            return this.id;
        };
        conflict.prototype.getDocumentPropertyNames = function () {
            return ["Id", "conflictDetectedAt", "versions"];
        };
        return conflict;
    }());
    return conflict;
});

//# sourceMappingURL=conflict.js.map
