/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var replicationConfig = (function () {
        function replicationConfig(dto) {
            this.documentConflictResolution = ko.observable().extend({ required: true });
            this.documentConflictResolution(dto.DocumentConflictResolution);
        }
        replicationConfig.prototype.toDto = function () {
            return {
                DocumentConflictResolution: this.documentConflictResolution(),
            };
        };
        replicationConfig.prototype.clear = function () {
            this.documentConflictResolution("None");
        };
        return replicationConfig;
    }());
    replicationConfig.DO_NOT_RESOLVE_AUTOMATICALLY = "None";
    replicationConfig.RESOLVE_TO_LOCAL = "ResolveToLocal";
    replicationConfig.RESOLVE_TO_REMOTE = "ResolveToRemote";
    replicationConfig.RESOLVE_TO_LATEST = "ResolveToLatest";
    return replicationConfig;
});

//# sourceMappingURL=replicationConfig.js.map
