/// <reference path="../../../../typings/tsd.d.ts"/>
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/resources/info/resourceInfo", "common/shell/resourcesManager"], function (require, exports, resourceInfo, resourcesManager) {
    "use strict";
    var databaseInfo = (function (_super) {
        __extends(databaseInfo, _super);
        function databaseInfo(dto) {
            var _this = _super.call(this, dto) || this;
            _this.rejectClients = ko.observable();
            _this.indexingStatus = ko.observable();
            _this.indexingEnabled = ko.observable();
            _this.documentsCount = ko.observable();
            _this.indexesCount = ko.observable();
            _this.update(dto);
            return _this;
        }
        Object.defineProperty(databaseInfo.prototype, "qualifier", {
            get: function () {
                return "db";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(databaseInfo.prototype, "fullTypeName", {
            get: function () {
                return "database";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(databaseInfo.prototype, "urlPrefix", {
            get: function () {
                return "databases";
            },
            enumerable: true,
            configurable: true
        });
        databaseInfo.prototype.asResource = function () {
            return resourcesManager.default.getDatabaseByName(this.name);
        };
        databaseInfo.prototype.update = function (databaseInfo) {
            _super.prototype.update.call(this, databaseInfo);
            this.rejectClients(databaseInfo.RejectClients);
            this.indexingStatus(databaseInfo.IndexingStatus);
            this.indexingEnabled(databaseInfo.IndexingStatus === "Running");
            this.documentsCount(databaseInfo.DocumentsCount);
            this.indexesCount(databaseInfo.IndexesCount);
        };
        return databaseInfo;
    }(resourceInfo));
    return databaseInfo;
});

//# sourceMappingURL=databaseInfo.js.map
