var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/dialogViewModelBase", "plugins/dialog"], function (require, exports, dialogViewModelBase, dialog) {
    "use strict";
    /*
     * Generic confirmation dialog. We created this because Durandal's built-in
     * message box doesn't handle keyboard shortcuts like ESC and Enter.
     */
    var confirmationDialog = (function (_super) {
        __extends(confirmationDialog, _super);
        function confirmationDialog(confirmationMessage, title, options) {
            var _this = _super.call(this) || this;
            _this.confirmationMessage = confirmationMessage;
            _this.title = title;
            _this.options = options;
            return _this;
        }
        confirmationDialog.prototype.onOptionClicked = function (option) {
            dialog.close(this, option);
        };
        confirmationDialog.prototype.close = function () {
            dialog.close(this, null);
        };
        return confirmationDialog;
    }(dialogViewModelBase));
    return confirmationDialog;
});

//# sourceMappingURL=confirmationDialog.js.map
