var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase", "common/serverBuildReminder"], function (require, exports, dialog, dialogViewModelBase, serverBuildReminder) {
    "use strict";
    var latestBuildReminder = (function (_super) {
        __extends(latestBuildReminder, _super);
        function latestBuildReminder(latestServerBuild, elementToFocusOnDismissal) {
            var _this = _super.call(this, elementToFocusOnDismissal) || this;
            _this.latestServerBuild = latestServerBuild;
            _this.dialogTask = $.Deferred();
            _this.mute = ko.observable(false);
            _this.mute.subscribe(function () {
                serverBuildReminder.mute(_this.mute());
            });
            return _this;
        }
        latestBuildReminder.prototype.detached = function () {
            _super.prototype.detached.call(this);
            this.dialogTask.resolve();
        };
        latestBuildReminder.prototype.close = function () {
            dialog.close(this);
        };
        return latestBuildReminder;
    }(dialogViewModelBase));
    return latestBuildReminder;
});

//# sourceMappingURL=latestBuildReminder.js.map
