var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    //TODO: integrate to notification center
    var recentErrors = (function (_super) {
        __extends(recentErrors, _super);
        function recentErrors(errors) {
            var _this = _super.call(this) || this;
            _this.errors = errors;
            return _this;
        }
        recentErrors.prototype.attached = function () {
            _super.prototype.attached.call(this);
            // Expand the first error.
            if (this.errors().length > 0) {
                $("#errorDetailsCollapse0").collapse("show");
            }
        };
        recentErrors.prototype.close = function () {
            dialog.close(this);
        };
        recentErrors.prototype.getErrorDetails = function (alert) {
            var error = alert.errorInfo;
            if (error != null && error.stackTrace) {
                return error.stackTrace.replace("\r\n", "\n");
            }
            return alert.details;
        };
        recentErrors.prototype.getErrorAlertType = function () {
            return "Error";
        };
        recentErrors.prototype.getWarningAlertType = function () {
            return "Warning";
        };
        return recentErrors;
    }(dialogViewModelBase));
    return recentErrors;
});

//# sourceMappingURL=recentErrors.js.map
