/// <reference path="../../typings/tsd.d.ts"/>
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    var confirmViewModelBase = (function (_super) {
        __extends(confirmViewModelBase, _super);
        function confirmViewModelBase() {
            var _this = _super.apply(this, arguments) || this;
            _this.alreadyResolved = false;
            _this.result = $.Deferred();
            return _this;
        }
        confirmViewModelBase.prototype.confirm = function () {
            this.result.resolve(this.prepareResponse(true));
            this.alreadyResolved = true;
            dialog.close(this);
        };
        confirmViewModelBase.prototype.cancel = function () {
            dialog.close(this);
        };
        confirmViewModelBase.prototype.deactivate = function (args) {
            if (!this.alreadyResolved) {
                this.result.resolve(this.prepareResponse(false));
            }
        };
        confirmViewModelBase.prototype.prepareResponse = function (can) {
            return {
                can: can
            };
        };
        return confirmViewModelBase;
    }(dialogViewModelBase));
    return confirmViewModelBase;
});

//# sourceMappingURL=confirmViewModelBase.js.map
