var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    var renameOrDuplicateIndexDialog = (function (_super) {
        __extends(renameOrDuplicateIndexDialog, _super);
        function renameOrDuplicateIndexDialog(originalName, newName) {
            var _this = _super.call(this) || this;
            _this.originalName = originalName;
            _this.newName = newName;
            _this.renameTask = $.Deferred();
            _this.saveAsNewTask = $.Deferred();
            return _this;
        }
        renameOrDuplicateIndexDialog.prototype.rename = function () {
            this.renameTask.resolve();
            dialog.close(this);
        };
        renameOrDuplicateIndexDialog.prototype.createNew = function () {
            this.saveAsNewTask.resolve();
            dialog.close(this);
        };
        renameOrDuplicateIndexDialog.prototype.getRenameTask = function () {
            return this.renameTask.promise();
        };
        renameOrDuplicateIndexDialog.prototype.getSaveAsNewTask = function () {
            return this.saveAsNewTask.promise();
        };
        renameOrDuplicateIndexDialog.prototype.close = function () {
            this.renameTask.reject();
            this.saveAsNewTask.reject();
            dialog.close(this);
        };
        return renameOrDuplicateIndexDialog;
    }(dialogViewModelBase));
    return renameOrDuplicateIndexDialog;
});

//# sourceMappingURL=renameOrDuplicateIndexDialog.js.map
