var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "common/bindingHelpers/datePickerBindingHandler", "viewmodels/filesystem/files/searchDialogViewModel"], function (require, exports, datePickerBindingHandler, searchDialogViewModel) {
    "use strict";
    var searchLastModifiedBetweenClause = (function (_super) {
        __extends(searchLastModifiedBetweenClause, _super);
        function searchLastModifiedBetweenClause() {
            var _this = _super.call(this, []) || this;
            _this.applyFilterTask = $.Deferred();
            _this.fromDate = ko.observable();
            _this.toDate = ko.observable();
            _this.fromDateText = ko.observable();
            _this.toDateText = ko.observable();
            _this.inputs.push(_this.fromDateText);
            _this.inputs.push(_this.toDateText);
            _this.fromDate.subscribe(function (v) {
                return _this.fromDateText(_this.fromDate() != null ? _this.fromDate().format("YYYY-MM-DD HH-mm-ss") : "");
            });
            _this.toDate.subscribe(function (v) {
                return _this.toDateText(_this.toDate() != null ? _this.toDate().format("YYYY-MM-DD HH-mm-ss") : "");
            });
            datePickerBindingHandler.install();
            return _this;
        }
        searchLastModifiedBetweenClause.prototype.applyFilter = function () {
            if (!this.fromDateText() || !this.toDateText())
                return false;
            var dates = "__modified:[" + _.replace(this.fromDateText().trim(), / /g, "_")
                + " TO " + _.replace(this.toDateText().trim(), / /g, "_") + "]";
            this.applyFilterTask.resolve(dates);
            this.close();
        };
        return searchLastModifiedBetweenClause;
    }(searchDialogViewModel));
    return searchLastModifiedBetweenClause;
});

//# sourceMappingURL=searchLastModifiedBetweenClause.js.map
