var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/filesystem/files/searchDialogViewModel", "common/bindingHelpers/datePickerBindingHandler"], function (require, exports, searchDialogViewModel, datePickerBindingHandler) {
    "use strict";
    var fieldRangeFilter = (function (_super) {
        __extends(fieldRangeFilter, _super);
        function fieldRangeFilter(label) {
            var _this = _super.call(this, [ko.observable("")]) || this;
            _this.filterOptions = ko.observableArray(["Numeric Double", "Numeric Int", "Numeric Long", "Alphabetical", "Datetime"]);
            _this.selectedOption = ko.observable("Starts with");
            _this.applyFilterTask = $.Deferred();
            _this.label = "";
            _this.from = ko.observable();
            _this.to = ko.observable();
            _this.fromDate = ko.observable();
            _this.toDate = ko.observable();
            datePickerBindingHandler.install();
            _this.label = label;
            _this.from("");
            _this.to("");
            _this.fromDate.subscribe(function (v) {
                return _this.from(_this.fromDate() != null ? _this.fromDate().format("YYYY-MM-DDTHH:mm:00.0000000") : "");
            });
            _this.toDate.subscribe(function (v) {
                return _this.to(_this.toDate() != null ? _this.toDate().format("YYYY-MM-DDTHH:mm:00.0000000") : "");
            });
            return _this;
        }
        fieldRangeFilter.prototype.applyFilter = function () {
            this.applyFilterTask.resolve(this.from(), this.to(), this.selectedOption());
            this.close();
        };
        fieldRangeFilter.prototype.enabled = function () {
            return true;
        };
        fieldRangeFilter.prototype.isDateTime = function () {
            return (this.selectedOption() === "Datetime");
        };
        return fieldRangeFilter;
    }(searchDialogViewModel));
    return fieldRangeFilter;
});

//# sourceMappingURL=fieldRangeFilter.js.map
