var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/filesystem/files/searchDialogViewModel"], function (require, exports, searchDialogViewModel) {
    "use strict";
    var fieldStringFilter = (function (_super) {
        __extends(fieldStringFilter, _super);
        function fieldStringFilter(label) {
            var _this = _super.call(this, [ko.observable("")]) || this;
            _this.filterOptions = ko.observableArray(["Starts with", "Ends with", "Contains", "Exact"]);
            _this.selectedOption = ko.observable("Starts with");
            _this.applyFilterTask = $.Deferred();
            _this.label = "";
            _this.label = label;
            return _this;
        }
        fieldStringFilter.prototype.applyFilter = function () {
            this.applyFilterTask.resolve(this.inputs[0](), this.selectedOption());
            this.close();
        };
        fieldStringFilter.prototype.enabled = function () {
            return this.checkRequired(true);
        };
        return fieldStringFilter;
    }(searchDialogViewModel));
    return fieldStringFilter;
});

//# sourceMappingURL=fieldStringFilter.js.map
