var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/viewModelBase", "common/bindingHelpers/aceEditorBindingHandler", "common/eventsCollector"], function (require, exports, viewModelBase, aceEditorBindingHandler, eventsCollector) {
    "use strict";
    var exportDatabase = (function (_super) {
        __extends(exportDatabase, _super);
        function exportDatabase() {
            var _this = _super.call(this) || this;
            _this.batchSize = ko.observable(1024);
            _this.noneDefualtFileName = ko.observable("");
            _this.chooseDifferntFileName = ko.observable(false);
            aceEditorBindingHandler.install();
            return _this;
        }
        exportDatabase.prototype.activate = function (args) {
            _super.prototype.activate.call(this, args);
            this.updateHelpLink("N822WN");
        };
        exportDatabase.prototype.startExport = function () {
            eventsCollector.default.reportEvent("fs", "export");
            var fs = this.activeFilesystem();
            throw new Error("impl me!");
            /* TODO fs.isExporting(true);
            fs.exportStatus("");
    
            var smugglerOptions = {
                BatchSize: this.batchSize(),
                NoneDefualtFileName: this.noneDefualtFileName()
            };
            
            var url = "/studio-tasks/exportFilesystem";
            this.downloader.downloadByPost(fs, url, smugglerOptions, fs.isExporting, fs.exportStatus);*/
        };
        return exportDatabase;
    }(viewModelBase));
    return exportDatabase;
});

//# sourceMappingURL=exportFilesystem.js.map
