var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    var editNodeConnectionInfoDialog = (function (_super) {
        __extends(editNodeConnectionInfoDialog, _super);
        function editNodeConnectionInfoDialog(node, isUpdate) {
            var _this = _super.call(this) || this;
            _this.nextTask = $.Deferred();
            _this.nodeConnectionInfo = ko.observable();
            _this.isUpdate = ko.observable();
            _this.nodeConnectionInfo(node);
            _this.isUpdate(isUpdate);
            return _this;
        }
        editNodeConnectionInfoDialog.prototype.onExit = function () {
            return this.nextTask.promise();
        };
        editNodeConnectionInfoDialog.prototype.cancel = function () {
            this.nextTask.reject();
            dialog.close(this);
        };
        editNodeConnectionInfoDialog.prototype.ok = function () {
            this.nextTask.resolve(this.nodeConnectionInfo());
            dialog.close(this);
        };
        return editNodeConnectionInfoDialog;
    }(dialogViewModelBase));
    return editNodeConnectionInfoDialog;
});

//# sourceMappingURL=editNodeConnectionInfoDialog.js.map
