var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/confirmViewModelBase"], function (require, exports, confirmViewModelBase) {
    "use strict";
    var deleteResourceConfirm = (function (_super) {
        __extends(deleteResourceConfirm, _super);
        function deleteResourceConfirm(resourcesToDelete) {
            var _this = _super.call(this) || this;
            _this.resourcesToDelete = resourcesToDelete;
            _this.isKeepingFiles = ko.observable(true);
            return _this;
        }
        deleteResourceConfirm.prototype.keepFiles = function () {
            this.isKeepingFiles(true);
            this.confirm();
        };
        deleteResourceConfirm.prototype.deleteEverything = function () {
            this.isKeepingFiles(false);
            this.confirm();
        };
        deleteResourceConfirm.prototype.getCofirmButton = function () {
            return $(".modal-footer:visible .btn-danger")[0];
        };
        deleteResourceConfirm.prototype.prepareResponse = function (can) {
            return {
                can: can,
                keepFiles: this.isKeepingFiles()
            };
        };
        return deleteResourceConfirm;
    }(confirmViewModelBase));
    return deleteResourceConfirm;
});

//# sourceMappingURL=deleteResourceConfirm.js.map
