define(["require", "exports"], function (require, exports) {
    "use strict";
    var checkedCellTemplate = (function () {
        function checkedCellTemplate() {
            this.className = "checked-cell";
            this.isChecked = ko.observable(false);
        }
        checkedCellTemplate.prototype.getHtml = function (item, dataMemberName, isSelected) {
            if (isSelected) {
                return "<input class=\"checked-cell-input\" type=\"checkbox\" checked />";
            }
            return "<input class=\"checked-cell-input\" type=\"checkbox\" />";
        };
        return checkedCellTemplate;
    }());
    checkedCellTemplate.columnWidth = 32;
    checkedCellTemplate.checkedDataMember = "__virtual-grid-isChecked";
    return checkedCellTemplate;
});

//# sourceMappingURL=checkedCellTemplate.js.map
