define(["require", "exports"], function (require, exports) {
    "use strict";
    var textCellTemplate = (function () {
        function textCellTemplate() {
            this.className = "text-cell";
        }
        textCellTemplate.prototype.getHtml = function (item, dataMemberName, isSelected) {
            var cellValue = item[dataMemberName];
            if (cellValue) {
                return cellValue.toString();
            }
            return "";
        };
        return textCellTemplate;
    }());
    return textCellTemplate;
});

//# sourceMappingURL=textCellTemplate.js.map
