var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/auth/apiKey"], function (require, exports, commandBase, apiKey) {
    "use strict";
    var getApiKeysCommand = (function (_super) {
        __extends(getApiKeysCommand, _super);
        function getApiKeysCommand() {
            return _super.apply(this, arguments) || this;
        }
        getApiKeysCommand.prototype.execute = function () {
            //TODO: use new dedicated endpoint
            var args = {
                startsWith: "Raven/ApiKeys/",
                exclude: null,
                start: 0,
                pageSize: 256
            };
            return this.query("/docs", args, null, function (dtos) { return dtos.map(function (dto) { return new apiKey(dto); }); });
        };
        return getApiKeysCommand;
    }(commandBase));
    return getApiKeysCommand;
});

//# sourceMappingURL=getApiKeysCommand.js.map
