var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/database/documents/executeBulkDocsCommand"], function (require, exports, executeBulkDocsCommand) {
    "use strict";
    var saveApiKeysCommand = (function (_super) {
        __extends(saveApiKeysCommand, _super);
        //TODO: use new dedicated endpoint
        function saveApiKeysCommand(apiKeys, deletedApiKeys) {
            var _this;
            var newApiKeysBulkDocs = apiKeys.map(function (k) { return k.toBulkDoc("PUT"); });
            var deletedApiKeysBulkDocs = deletedApiKeys.map(function (k) { return k.toBulkDoc("DELETE"); });
            _this = _super.call(this, newApiKeysBulkDocs.concat(deletedApiKeysBulkDocs), null) || this;
            return _this;
        }
        saveApiKeysCommand.prototype.execute = function () {
            var _this = this;
            this.reportInfo("Saving API keys...");
            return _super.prototype.execute.call(this)
                .fail(function (result) { return _this.reportError("Unable to save API keys.", result.responseText, result.statusText); })
                .done(function () { return _this.reportSuccess("Saved API keys."); });
        };
        return saveApiKeysCommand;
    }(executeBulkDocsCommand));
    return saveApiKeysCommand;
});

//# sourceMappingURL=saveApiKeysCommand.js.map
