var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var backupFilesystemCommand = (function (_super) {
        __extends(backupFilesystemCommand, _super);
        function backupFilesystemCommand(cs, backupLocation, updateBackupStatus, incremental) {
            var _this = _super.call(this) || this;
            _this.cs = cs;
            _this.backupLocation = backupLocation;
            _this.updateBackupStatus = updateBackupStatus;
            _this.incremental = incremental;
            return _this;
        }
        backupFilesystemCommand.prototype.execute = function () {
            var _this = this;
            var result = $.Deferred();
            var args = {
                BackupLocation: this.backupLocation,
                DatabaseDocument: null
            };
            this.post('/admin/backup?incremental=' + this.incremental, JSON.stringify(args), this.cs, { dataType: 'text' })
                .fail(function (response) {
                _this.reportError("Failed to create backup!", response.responseText, response.statusText);
                result.reject();
            })
                .done(function () { return _this.getBackupStatus(result); });
            return result;
        };
        backupFilesystemCommand.prototype.getBackupStatus = function (result) {
            /*new getConfigurationByKeyCommand(this.cs, "Raven/Backup/Status")
                .execute()
                .fail((response: JQueryXHR) => {
                    this.reportError("Failed to fetch backup status!", response.responseText, response.statusText);
                    result.reject();
                })
                .done((backupStatusAsString: string) => {
                    var backupStatus: backupStatusDto = JSON.parse(backupStatusAsString);
                    this.updateBackupStatus(backupStatus);
                    if (backupStatus.IsRunning) {
                        setTimeout(() => this.getBackupStatus(result), 1000);
                    } else {
                        this.reportSuccess("Counter Storage backup was successfully created!");
                        result.resolve();
                    }
                });*/
        };
        return backupFilesystemCommand;
    }(commandBase));
    return backupFilesystemCommand;
});

//# sourceMappingURL=backupCounterStorageCommand.js.map
