var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/counter/counter"], function (require, exports, commandBase, counter) {
    "use strict";
    var getCounterCommand = (function (_super) {
        __extends(getCounterCommand, _super);
        function getCounterCommand(cs, groupName, counterName) {
            var _this = _super.call(this) || this;
            _this.cs = cs;
            _this.groupName = groupName;
            _this.counterName = counterName;
            return _this;
        }
        getCounterCommand.prototype.execute = function () {
            var args = {
                groupName: this.groupName,
                counterName: this.counterName
            };
            var url = "/getCounter";
            var selector = function (dto) { return new counter(dto); };
            return this.query(url, args, this.cs, selector);
        };
        return getCounterCommand;
    }(commandBase));
    return getCounterCommand;
});

//# sourceMappingURL=getCounterCommand.js.map
