var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/counter/counterGroup"], function (require, exports, commandBase, counterGroup) {
    "use strict";
    var getCounterGroupsCommand = (function (_super) {
        __extends(getCounterGroupsCommand, _super);
        function getCounterGroupsCommand(cs, skip, take) {
            var _this = _super.call(this) || this;
            _this.cs = cs;
            _this.skip = skip;
            _this.take = take;
            return _this;
        }
        getCounterGroupsCommand.prototype.execute = function () {
            var _this = this;
            var selector = function (groups) { return groups.map(function (g) { return counterGroup.fromDto(g, _this.cs); }); };
            var args = {
                start: this.skip,
                pageSize: this.take
            };
            return this.query("/groups", args, this.cs, selector);
        };
        return getCounterGroupsCommand;
    }(commandBase));
    return getCounterGroupsCommand;
});

//# sourceMappingURL=getCounterGroupsCommand.js.map
