var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var initializeNewClusterCommand = (function (_super) {
        __extends(initializeNewClusterCommand, _super);
        function initializeNewClusterCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        initializeNewClusterCommand.prototype.execute = function () {
            var _this = this;
            return this.patch("/admin/cluster/initialize-new-cluster", null, this.db) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("New cluster has been initialized"); })
                .fail(function (response) { return _this.reportError("Unable to initialize new cluster", response.responseText, response.statusText); });
        };
        return initializeNewClusterCommand;
    }(commandBase));
    return initializeNewClusterCommand;
});

//# sourceMappingURL=initializeNewClusterCommand.js.map
