var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var leaveRaftClusterCommand = (function (_super) {
        __extends(leaveRaftClusterCommand, _super);
        function leaveRaftClusterCommand(db, connectionInfo) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.connectionInfo = connectionInfo;
            return _this;
        }
        leaveRaftClusterCommand.prototype.execute = function () {
            var _this = this;
            return this.query("/admin/cluster/leave", { name: this.connectionInfo.Name }, this.db) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("Node was removed from cluster."); })
                .fail(function (response) { return _this.reportError("Failed to remove node from cluster", response.responseText, response.statusText); });
        };
        return leaveRaftClusterCommand;
    }(commandBase));
    return leaveRaftClusterCommand;
});

//# sourceMappingURL=leaveRaftClusterCommand.js.map
