var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var removeClusteringCommand = (function (_super) {
        __extends(removeClusteringCommand, _super);
        function removeClusteringCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        removeClusteringCommand.prototype.execute = function () {
            var _this = this;
            return this.patch("/admin/cluster/remove-clustering", null, this.db) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("Removed cluster entirely and performed cleanup."); })
                .fail(function (response) { return _this.reportError("Unable to remove cluster and perform cleanup", response.responseText, response.statusText); });
        };
        return removeClusteringCommand;
    }(commandBase));
    return removeClusteringCommand;
});

//# sourceMappingURL=removeClusteringCommand.js.map
