var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var updateRaftClusterCommand = (function (_super) {
        __extends(updateRaftClusterCommand, _super);
        function updateRaftClusterCommand(db, connectionInfo) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.connectionInfo = connectionInfo;
            return _this;
        }
        updateRaftClusterCommand.prototype.execute = function () {
            var _this = this;
            return this.post("/admin/cluster/update", ko.toJSON(this.connectionInfo), this.db, { dataType: undefined }) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("Configuration was updated"); })
                .fail(function (response) { return _this.reportError("Failed to update node configuration", response.responseText, response.statusText); });
        };
        return updateRaftClusterCommand;
    }(commandBase));
    return updateRaftClusterCommand;
});

//# sourceMappingURL=updateRaftClusterCommand.js.map
