var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "d3"], function (require, exports, commandBase, d3) {
    "use strict";
    var getFilteredOutIndexStatsCommand = (function (_super) {
        __extends(getFilteredOutIndexStatsCommand, _super);
        function getFilteredOutIndexStatsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getFilteredOutIndexStatsCommand.prototype.execute = function () {
            var url = "/debug/filtered-out-indexes"; //TODO: use endpoints
            var parser = d3.time.format.iso;
            return this.query(url, null, this.db, function (result) {
                result.map(function (item) {
                    item.TimestampParsed = parser.parse(item.Timestamp);
                });
                return result;
            });
        };
        return getFilteredOutIndexStatsCommand;
    }(commandBase));
    return getFilteredOutIndexStatsCommand;
});

//# sourceMappingURL=getFilteredOutIndexStatsCommand.js.map
