var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexesPerformance = (function (_super) {
        __extends(getIndexesPerformance, _super);
        function getIndexesPerformance(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getIndexesPerformance.prototype.execute = function () {
            var url = endpoints.databases.index.indexesPerformance;
            return this.query(url, null, this.db);
        };
        return getIndexesPerformance;
    }(commandBase));
    return getIndexesPerformance;
});

//# sourceMappingURL=getIndexesPerformance.js.map
