var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getStatusDebugIndexFieldsCommand = (function (_super) {
        __extends(getStatusDebugIndexFieldsCommand, _super);
        function getStatusDebugIndexFieldsCommand(db, indexStr) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.indexStr = indexStr;
            return _this;
        }
        getStatusDebugIndexFieldsCommand.prototype.execute = function () {
            var url = "/debug/index-fields"; //TODO: use endpoints
            return this.post(url, this.indexStr, this.db);
        };
        return getStatusDebugIndexFieldsCommand;
    }(commandBase));
    return getStatusDebugIndexFieldsCommand;
});

//# sourceMappingURL=getStatusDebugIndexFieldsCommand.js.map
