var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var deleteDocumentCommand = (function (_super) {
        __extends(deleteDocumentCommand, _super);
        function deleteDocumentCommand(docId, db) {
            var _this = _super.call(this) || this;
            _this.docId = docId;
            _this.db = db;
            return _this;
        }
        deleteDocumentCommand.prototype.execute = function () {
            var args = {
                id: this.docId
            };
            var url = endpoints.databases.document.docs + this.urlEncodeArgs(args);
            return this.del(url, null, this.db);
        };
        return deleteDocumentCommand;
    }(commandBase));
    return deleteDocumentCommand;
});

//# sourceMappingURL=deleteDocumentCommand.js.map
