var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var executeBulkDocsCommand = (function (_super) {
        __extends(executeBulkDocsCommand, _super);
        function executeBulkDocsCommand(docs, db) {
            var _this = _super.call(this) || this;
            _this.docs = docs;
            _this.db = db;
            return _this;
        }
        executeBulkDocsCommand.prototype.execute = function () {
            return this.post(endpoints.databases.batch.bulk_docs, JSON.stringify(this.docs), this.db);
        };
        return executeBulkDocsCommand;
    }(commandBase));
    return executeBulkDocsCommand;
});

//# sourceMappingURL=executeBulkDocsCommand.js.map
