var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/database/documents/getDocumentWithMetadataCommand"], function (require, exports, getDocumentWithMetadataCommand) {
    "use strict";
    var getCustomColumnsCommand = (function (_super) {
        __extends(getCustomColumnsCommand, _super);
        function getCustomColumnsCommand(db, docName) {
            var _this = _super.call(this, docName, db, true) || this;
            _this.docName = docName;
            return _this;
        }
        getCustomColumnsCommand.prototype.execute = function () {
            return _super.prototype.execute.call(this);
        };
        getCustomColumnsCommand.forIndex = function (indexName, db) {
            return new getCustomColumnsCommand(db, getCustomColumnsCommand.docsPrefix + "Index/" + indexName);
        };
        getCustomColumnsCommand.forCollection = function (collection, db) {
            return new getCustomColumnsCommand(db, getCustomColumnsCommand.docsPrefix + "Collection/" + collection);
        };
        getCustomColumnsCommand.forAllDocuments = function (db) {
            return new getCustomColumnsCommand(db, getCustomColumnsCommand.docsPrefix + "AllDocuments");
        };
        return getCustomColumnsCommand;
    }(getDocumentWithMetadataCommand));
    getCustomColumnsCommand.docsPrefix = "Raven/Studio/Columns/";
    return getCustomColumnsCommand;
});

//# sourceMappingURL=getCustomColumnsCommand.js.map
