var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/database/documents/customFunctions", "commands/commandBase"], function (require, exports, customFunctions, commandBase) {
    "use strict";
    var getCustomFunctionsCommand = (function (_super) {
        __extends(getCustomFunctionsCommand, _super);
        function getCustomFunctionsCommand(db, global) {
            if (global === void 0) { global = false; }
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.global = global;
            if (!db) {
                throw new Error("Must specify database");
            }
            return _this;
        }
        getCustomFunctionsCommand.prototype.execute = function () {
            var resultsSelector = function (queryResult) { return new customFunctions(queryResult); };
            var url = this.global ? "/docs?id=Raven/Global/Javascript/Functions" : "/docs?id=Raven/Javascript/Functions"; //TODO: use endpoints
            return this.query(url, null, this.db, resultsSelector);
        };
        return getCustomFunctionsCommand;
    }(commandBase));
    return getCustomFunctionsCommand;
});

//# sourceMappingURL=getCustomFunctionsCommand.js.map
