var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/globalConfig/configurationSettings"], function (require, exports, commandBase, configurationSettings) {
    "use strict";
    var getConfigurationSettingsCommand = (function (_super) {
        __extends(getConfigurationSettingsCommand, _super);
        function getConfigurationSettingsCommand(db, keys) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.keys = keys;
            return _this;
        }
        getConfigurationSettingsCommand.prototype.execute = function () {
            var url = "/configuration/settings"; //TODO: use endpoints
            var args = {
                key: this.keys
            };
            return this.query(url, args, this.db, function (dto) { return new configurationSettings(dto); });
        };
        return getConfigurationSettingsCommand;
    }(commandBase));
    return getConfigurationSettingsCommand;
});

//# sourceMappingURL=getConfigurationSettingsCommand.js.map
