var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var formatIndexCommand = (function (_super) {
        __extends(formatIndexCommand, _super);
        function formatIndexCommand(db, mapReduceArray) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.mapReduceArray = mapReduceArray;
            return _this;
        }
        formatIndexCommand.prototype.execute = function () {
            var url = "/debug/format-index"; //TODO: use endpoints
            return this.post(url, JSON.stringify(this.mapReduceArray), this.db);
        };
        return formatIndexCommand;
    }(commandBase));
    return formatIndexCommand;
});

//# sourceMappingURL=formatIndexCommand.js.map
