var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexesStatsCommand = (function (_super) {
        __extends(getIndexesStatsCommand, _super);
        function getIndexesStatsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getIndexesStatsCommand.prototype.execute = function () {
            var url = endpoints.databases.index.indexesStats;
            var extractor = function (response) { return response.Results; };
            return this.query(url, null, this.db, extractor);
        };
        return getIndexesStatsCommand;
    }(commandBase));
    return getIndexesStatsCommand;
});

//# sourceMappingURL=getIndexesStatsCommand.js.map
