var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getIndexesStatusCommand = (function (_super) {
        __extends(getIndexesStatusCommand, _super);
        function getIndexesStatusCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getIndexesStatusCommand.prototype.execute = function () {
            var _this = this;
            var url = endpoints.databases.index.indexesStatus;
            return this.query(url, null, this.db)
                .fail(function (response) {
                _this.reportError("Failed to get indexing status!", response.responseText, response.statusText);
            });
        };
        return getIndexesStatusCommand;
    }(commandBase));
    return getIndexesStatusCommand;
});

//# sourceMappingURL=getIndexesStatusCommand.js.map
