var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/index/indexReplaceDocument"], function (require, exports, commandBase, indexReplaceDocument) {
    "use strict";
    var getPendingIndexReplacementsCommand = (function (_super) {
        __extends(getPendingIndexReplacementsCommand, _super);
        function getPendingIndexReplacementsCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getPendingIndexReplacementsCommand.prototype.execute = function () {
            var resultsSelector = function (result) {
                return result.Results.map(function (dto) { return new indexReplaceDocument(dto); });
            };
            var url = "/docs"; //TODO: use endpoints
            var args = {
                startsWith: indexReplaceDocument.replaceDocumentPrefix,
                start: 0,
                pageSize: 1024
            };
            return this.query(url, args, this.db, resultsSelector);
        };
        return getPendingIndexReplacementsCommand;
    }(commandBase));
    return getPendingIndexReplacementsCommand;
});

//# sourceMappingURL=getPendingIndexReplacementsCommand.js.map
