var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/patch/patchDocument"], function (require, exports, commandBase, patchDocument) {
    "use strict";
    var getPatchesCommand = (function (_super) {
        __extends(getPatchesCommand, _super);
        function getPatchesCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        getPatchesCommand.prototype.execute = function () {
            var args = {
                startsWith: "Studio/Patch/",
                exclude: null,
                start: 0,
                pageSize: 256
            };
            return this.query("/docs", args, this.db, function (dtos) { return dtos.Results.map(function (dto) { return new patchDocument(dto); }); }); //TODO: use endpoints
        };
        return getPatchesCommand;
    }(commandBase));
    return getPatchesCommand;
});

//# sourceMappingURL=getPatchesCommand.js.map
