var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getKillQueryCommand = (function (_super) {
        __extends(getKillQueryCommand, _super);
        function getKillQueryCommand(db, queryId) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.queryId = queryId;
            return _this;
        }
        getKillQueryCommand.prototype.execute = function () {
            var _this = this;
            var url = "/admin/killQuery"; //TODO: use endpoints
            var args = {
                id: this.queryId
            };
            return this.query(url, args, this.db)
                .fail(function (response) { return _this.reportError("Failed to kill query", response.responseText, response.statusText); });
        };
        return getKillQueryCommand;
    }(commandBase));
    return getKillQueryCommand;
});

//# sourceMappingURL=getKillQueryCommand.js.map
