var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var createSampleDataCommand = (function (_super) {
        __extends(createSampleDataCommand, _super);
        function createSampleDataCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            return _this;
        }
        createSampleDataCommand.prototype.execute = function () {
            var _this = this;
            return this.post(endpoints.databases.sampleData.studioSampleData, null, this.db, { dataType: undefined })
                .fail(function (response) { return _this.reportError("Failed to create sample data", response.responseText, response.statusText); })
                .done(function () { return _this.reportSuccess("Sample data creation completed"); });
        };
        return createSampleDataCommand;
    }(commandBase));
    return createSampleDataCommand;
});

//# sourceMappingURL=createSampleDataCommand.js.map
