var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getLatestServerBuildVersionCommand = (function (_super) {
        __extends(getLatestServerBuildVersionCommand, _super);
        function getLatestServerBuildVersionCommand(stableOnly, min, max) {
            var _this = _super.call(this) || this;
            _this.stableOnly = stableOnly;
            _this.min = min;
            _this.max = max;
            return _this;
        }
        getLatestServerBuildVersionCommand.prototype.execute = function () {
            var args = {
                stableOnly: this.stableOnly,
                min: this.min,
                max: this.max
            };
            return this.query("/studio-tasks/latest-server-build-version", args, null, null, this.getTimeToAlert(true)); //TODO: use endpoints
        };
        return getLatestServerBuildVersionCommand;
    }(commandBase));
    return getLatestServerBuildVersionCommand;
});

//# sourceMappingURL=getLatestServerBuildVersionCommand.js.map
