var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var resolveMergeCommand = (function (_super) {
        __extends(resolveMergeCommand, _super);
        function resolveMergeCommand(db, documentId) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.documentId = documentId;
            return _this;
        }
        resolveMergeCommand.prototype.execute = function () {
            var url = "/studio-tasks/resolveMerge"; //TODO: use endpoints
            var args = {
                documentId: this.documentId
            };
            return this.query(url, args, this.db);
        };
        return resolveMergeCommand;
    }(commandBase));
    return resolveMergeCommand;
});

//# sourceMappingURL=resolveMergeCommand.js.map
