var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/database/subscription/subscription"], function (require, exports, commandBase, Subscription) {
    "use strict";
    var getSubscriptionCommand = (function (_super) {
        __extends(getSubscriptionCommand, _super);
        function getSubscriptionCommand(db) {
            var _this = _super.call(this) || this;
            _this.db = db;
            if (!db) {
                throw new Error("Must specify database");
            }
            return _this;
        }
        getSubscriptionCommand.prototype.execute = function () {
            var url = "/debug/subscriptions"; //TODO: use endpoints
            var resultsSelector = function (subscriptions) { return subscriptions.map(function (subscription) {
                return new Subscription(subscription.SubscriptionId, subscription.AckEtag);
            }); };
            var rc = this.query(url, null, this.db, resultsSelector);
            return rc;
        };
        return getSubscriptionCommand;
    }(commandBase));
    return getSubscriptionCommand;
});

//# sourceMappingURL=getSubscriptionCommand.js.map
