var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getSingleTransformerCommand = (function (_super) {
        __extends(getSingleTransformerCommand, _super);
        function getSingleTransformerCommand(transformerName, db) {
            var _this = _super.call(this) || this;
            _this.transformerName = transformerName;
            _this.db = db;
            return _this;
        }
        getSingleTransformerCommand.prototype.execute = function () {
            var args = {
                name: this.transformerName
            };
            var url = endpoints.databases.transformer.transformers + this.urlEncodeArgs(args);
            return this.query(url, null, this.db, function (r) { return r.Results[0]; });
        };
        return getSingleTransformerCommand;
    }(commandBase));
    return getSingleTransformerCommand;
});

//# sourceMappingURL=getSingleTransformerCommand.js.map
