var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getTransformersCommand = (function (_super) {
        __extends(getTransformersCommand, _super);
        function getTransformersCommand(db, skip, take) {
            if (skip === void 0) { skip = 0; }
            if (take === void 0) { take = 1024; }
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.skip = skip;
            _this.take = take;
            return _this;
        }
        getTransformersCommand.prototype.execute = function () {
            var args = {
                start: this.skip,
                pageSize: this.take
            };
            var url = endpoints.databases.transformer.transformers + this.urlEncodeArgs(args);
            var extractor = function (response) { return response.Results; };
            return this.query(url, null, this.db, extractor);
        };
        return getTransformersCommand;
    }(commandBase));
    return getTransformersCommand;
});

//# sourceMappingURL=getTransformersCommand.js.map
