var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/filesystem/configurationKey"], function (require, exports, commandBase, configurationKey) {
    "use strict";
    var getConfigurationCommand = (function (_super) {
        __extends(getConfigurationCommand, _super);
        function getConfigurationCommand(fs) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            return _this;
        }
        getConfigurationCommand.prototype.execute = function () {
            var _this = this;
            var url = "/config/non-generated";
            return this.query(url, null, this.fs, function (results) { return results.map(function (x) { return new configurationKey(_this.fs, x); }); })
                .fail(function (response) { return _this.reportError("Failed to retrieve filesystem configuration.", response.responseText, response.statusText); });
        };
        return getConfigurationCommand;
    }(commandBase));
    return getConfigurationCommand;
});

//# sourceMappingURL=getConfigurationCommand.js.map
