var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getFileSystemStatsCommand = (function (_super) {
        __extends(getFileSystemStatsCommand, _super);
        function getFileSystemStatsCommand(fs, longWait) {
            if (longWait === void 0) { longWait = false; }
            var _this = _super.call(this) || this;
            _this.fs = fs;
            _this.longWait = longWait;
            return _this;
        }
        getFileSystemStatsCommand.prototype.execute = function () {
            var url = "/stats";
            return this.query(url, null, this.fs, null, this.getTimeToAlert(this.longWait));
        };
        return getFileSystemStatsCommand;
    }(commandBase));
    return getFileSystemStatsCommand;
});

//# sourceMappingURL=getFileSystemStatsCommand.js.map
