var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getFoldersStartsWithCommand = (function (_super) {
        __extends(getFoldersStartsWithCommand, _super);
        function getFoldersStartsWithCommand(fs, skip, take, directory) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            _this.skip = skip;
            _this.take = take;
            _this.directory = directory;
            return _this;
        }
        getFoldersStartsWithCommand.prototype.execute = function () {
            var url = "/folders/Subdirectories";
            var args = {
                start: this.skip,
                pageSize: this.take,
                startsWith: true
            };
            if (this.directory) {
                args.directory = this.directory;
            }
            return this.query(url, args, this.fs);
        };
        return getFoldersStartsWithCommand;
    }(commandBase));
    return getFoldersStartsWithCommand;
});

//# sourceMappingURL=getFoldersStartsWithCommand.js.map
