var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var resetIndexCommand = (function (_super) {
        __extends(resetIndexCommand, _super);
        function resetIndexCommand(fs) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            return _this;
        }
        resetIndexCommand.prototype.execute = function () {
            var _this = this;
            var url = "/admin/reset-index";
            return this.post(url, null, this.fs, { dataType: 'text' })
                .done(function () { return _this.reportSuccess("File system index successfully reset"); })
                .fail(function (response) { return _this.reportError("Failed to reset file system index.", response.responseText, response.statusText); });
        };
        return resetIndexCommand;
    }(commandBase));
    return resetIndexCommand;
});

//# sourceMappingURL=resetIndexCommand.js.map
