var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var synchronizeNowCommand = (function (_super) {
        __extends(synchronizeNowCommand, _super);
        function synchronizeNowCommand(fs) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            return _this;
        }
        synchronizeNowCommand.prototype.execute = function () {
            var _this = this;
            var synchronizeUrl = "/synchronization/ToDestinations?forceSyncingAll=true";
            return this.post(synchronizeUrl, null, this.fs)
                .fail(function (x) {
                _this.reportError("Synchronization endpoint returned with an error.");
            });
        };
        return synchronizeNowCommand;
    }(commandBase));
    return synchronizeNowCommand;
});

//# sourceMappingURL=synchronizeNowCommand.js.map
