var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var synchronizeWithDestinationCommand = (function (_super) {
        __extends(synchronizeWithDestinationCommand, _super);
        function synchronizeWithDestinationCommand(fs, destination) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            _this.destination = destination;
            return _this;
        }
        synchronizeWithDestinationCommand.prototype.execute = function () {
            var _this = this;
            var synchronizeUrl = "/synchronization/ToDestination?destination=" + this.destination + "&forceSyncingAll=true";
            return this.post(synchronizeUrl, null, this.fs)
                .fail(function (x) {
                _this.reportError("Synchronization endpoint returned with an error.");
            });
        };
        return synchronizeWithDestinationCommand;
    }(commandBase));
    return synchronizeWithDestinationCommand;
});

//# sourceMappingURL=synchronizeWithDestinationCommand.js.map
