var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var activateHotSpareCommand = (function (_super) {
        __extends(activateHotSpareCommand, _super);
        function activateHotSpareCommand() {
            return _super.apply(this, arguments) || this;
        }
        activateHotSpareCommand.prototype.execute = function () {
            var _this = this;
            return this.query("/admin/activate-hotspare", null, null, null, { dataType: undefined }) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("Activated Hot Spare mode"); })
                .fail(function (response) {
                _this.reportError("Failed to activate Hot Spare mode!", response.responseText, response.statusText);
            });
        };
        return activateHotSpareCommand;
    }(commandBase));
    return activateHotSpareCommand;
});

//# sourceMappingURL=activateHotSpareCommand.js.map
