var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var licenseActivateCommand = (function (_super) {
        __extends(licenseActivateCommand, _super);
        function licenseActivateCommand(licensePayload) {
            var _this = _super.call(this) || this;
            _this.licensePayload = licensePayload;
            return _this;
        }
        licenseActivateCommand.prototype.execute = function () {
            var _this = this;
            var url = endpoints.global.license.licenseActivate;
            return this.post(url, JSON.stringify(this.licensePayload), null, { dataType: undefined })
                .fail(function (response) {
                _this.reportError("Failed to activate license", response.responseText, response.statusText);
            });
        };
        return licenseActivateCommand;
    }(commandBase));
    return licenseActivateCommand;
});

//# sourceMappingURL=licenseActivateCommand.js.map
