var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var testHotSpareCommand = (function (_super) {
        __extends(testHotSpareCommand, _super);
        function testHotSpareCommand() {
            return _super.apply(this, arguments) || this;
        }
        testHotSpareCommand.prototype.execute = function () {
            var _this = this;
            return this.query("/admin/test-hotspare", null, null, null, { dataType: undefined }) //TODO: use endpoints
                .done(function () { return _this.reportSuccess("Activated Hot Spare test mode"); })
                .fail(function (response) {
                _this.reportError("Failed to enable Hot Spare test mode!", response.responseText, response.statusText);
            });
        };
        return testHotSpareCommand;
    }(commandBase));
    return testHotSpareCommand;
});

//# sourceMappingURL=testHotSpareCommand.js.map
