var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var listDiskPerformanceRunsCommand = (function (_super) {
        __extends(listDiskPerformanceRunsCommand, _super);
        function listDiskPerformanceRunsCommand() {
            return _super.call(this) || this;
        }
        listDiskPerformanceRunsCommand.prototype.execute = function () {
            var args = {
                fetch: "DisplayName"
            };
            var mapper = function (x) {
                return {
                    displayName: x.DisplayName,
                    documentId: x["__document_id"]
                };
            };
            return this.query("/indexes/dynamic/DiskIoPerformanceRuns", args, null, function (r) { return r.Results.map(mapper); }); //TODO: use endpoints
        };
        return listDiskPerformanceRunsCommand;
    }(commandBase));
    return listDiskPerformanceRunsCommand;
});

//# sourceMappingURL=listDiskPerformanceRunsCommand.js.map
