var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var dismissOperationCommand = (function (_super) {
        __extends(dismissOperationCommand, _super);
        function dismissOperationCommand(rs, operationId) {
            var _this = _super.call(this) || this;
            _this.rs = rs;
            _this.operationId = operationId;
            if (!_this.rs) {
                throw new Error("Must specify a resource.");
            }
            return _this;
        }
        dismissOperationCommand.prototype.execute = function () {
            var url = endpoints.databases.operations.operationDismiss;
            var args = {
                id: this.operationId
            };
            return this.query(url, args, this.rs, null, { dataType: undefined });
        };
        return dismissOperationCommand;
    }(commandBase));
    return dismissOperationCommand;
});

//# sourceMappingURL=dismissOperationCommand.js.map
