var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getOperationCommand = (function (_super) {
        __extends(getOperationCommand, _super);
        function getOperationCommand(rs, operationId) {
            var _this = _super.call(this) || this;
            _this.rs = rs;
            _this.operationId = operationId;
            if (!_this.rs) {
                throw new Error("Must specify a resource.");
            }
            return _this;
        }
        getOperationCommand.prototype.execute = function () {
            var url = endpoints.databases.operations.operations;
            var args = {
                id: this.operationId
            };
            var extractor = function (response) { return response.Results[0]; };
            return this.query(url, args, this.rs, extractor);
        };
        return getOperationCommand;
    }(commandBase));
    return getOperationCommand;
});

//# sourceMappingURL=getOperationCommand.js.map
