var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var killOperationCommand = (function (_super) {
        __extends(killOperationCommand, _super);
        function killOperationCommand(db, taskId) {
            var _this = _super.call(this) || this;
            _this.db = db;
            _this.taskId = taskId;
            return _this;
        }
        killOperationCommand.prototype.execute = function () {
            var args = {
                id: this.taskId
            };
            var url = endpoints.databases.operations.operationKill + this.urlEncodeArgs(args);
            return this.post(url, null, this.db);
        };
        return killOperationCommand;
    }(commandBase));
    return killOperationCommand;
});

//# sourceMappingURL=killOperationCommand.js.map
