var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints"], function (require, exports, commandBase, endpoints) {
    "use strict";
    var getResourceCommand = (function (_super) {
        __extends(getResourceCommand, _super);
        function getResourceCommand(resourceType, resourceName) {
            var _this = _super.call(this) || this;
            _this.resourceType = resourceType;
            _this.resourceName = resourceName;
            return _this;
        }
        getResourceCommand.prototype.execute = function () {
            var url = endpoints.global.resources.resource;
            var args = {
                type: this.resourceType,
                name: this.resourceName
            };
            return this.query(url, args);
        };
        return getResourceCommand;
    }(commandBase));
    return getResourceCommand;
});

//# sourceMappingURL=getResourceCommand.js.map
