var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "endpoints", "models/resources/database"], function (require, exports, commandBase, endpoints, database) {
    "use strict";
    var loadResourceCommand = (function (_super) {
        __extends(loadResourceCommand, _super);
        function loadResourceCommand(rs) {
            var _this = _super.call(this) || this;
            _this.rs = rs;
            return _this;
        }
        loadResourceCommand.prototype.execute = function () {
            var url = this.getQueryUrlFragment();
            return this.query(url, null, this.rs, null, this.getTimeToAlert(true));
        };
        loadResourceCommand.prototype.getQueryUrlFragment = function () {
            if (this.rs instanceof database) {
                return endpoints.databases.stats.stats;
            }
            throw new Error("I don't know how to load: " + this.rs.qualifier);
        };
        return loadResourceCommand;
    }(commandBase));
    return loadResourceCommand;
});

//# sourceMappingURL=loadResourceCommand.js.map
