var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var deleteTypeCommand = (function (_super) {
        __extends(deleteTypeCommand, _super);
        function deleteTypeCommand(type, ts) {
            var _this = _super.call(this) || this;
            _this.type = type;
            _this.ts = ts;
            return _this;
        }
        deleteTypeCommand.prototype.execute = function () {
            var _this = this;
            var task = this.del("/types/" + this.type, null, this.ts, { dataType: undefined })
                .done(function () { return _this.reportSuccess("Successfully deleted '" + _this.type + "' type"); })
                .fail(function (response) { return _this.reportError("Failed to delete '" + _this.type + "' type", response.responseText, response.statusText); });
            return task;
        };
        return deleteTypeCommand;
    }(commandBase));
    return deleteTypeCommand;
});

//# sourceMappingURL=deleteTypeCommand.js.map
