var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getKeyCommand = (function (_super) {
        __extends(getKeyCommand, _super);
        function getKeyCommand(ts, type, key) {
            var _this = _super.call(this) || this;
            _this.ts = ts;
            _this.type = type;
            _this.key = key;
            return _this;
        }
        getKeyCommand.prototype.execute = function () {
            var doneTask = $.Deferred();
            var task = this.query("/key/" + this.type + "?key=" + this.key, null, this.ts);
            task.done(function (key) { return doneTask.resolve(key); });
            task.fail(function (xhr) { return doneTask.reject(xhr); });
            return doneTask;
        };
        return getKeyCommand;
    }(commandBase));
    return getKeyCommand;
});

//# sourceMappingURL=getKeyCommand.js.map
