var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase"], function (require, exports, commandBase) {
    "use strict";
    var getTimeSeriesStatsCommand = (function (_super) {
        __extends(getTimeSeriesStatsCommand, _super);
        function getTimeSeriesStatsCommand(ts, longWait) {
            if (longWait === void 0) { longWait = false; }
            var _this = _super.call(this) || this;
            _this.ts = ts;
            _this.longWait = longWait;
            return _this;
        }
        getTimeSeriesStatsCommand.prototype.execute = function () {
            var url = "/stats";
            return this.query(url, null, this.ts, null, this.getTimeToAlert(this.longWait));
        };
        return getTimeSeriesStatsCommand;
    }(commandBase));
    return getTimeSeriesStatsCommand;
});

//# sourceMappingURL=getTimeSeriesStatsCommand.js.map
