var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/commandBase", "models/timeSeries/timeSeriesType"], function (require, exports, commandBase, timeSeriesType) {
    "use strict";
    var getTypesCommand = (function (_super) {
        __extends(getTypesCommand, _super);
        function getTypesCommand(ts) {
            var _this = _super.call(this) || this;
            _this.ts = ts;
            return _this;
        }
        getTypesCommand.prototype.execute = function () {
            var _this = this;
            var selector = function (keys) { return keys.map(function (key) { return timeSeriesType.fromDto(key, _this.ts); }); };
            return this.query("/types", {
                skip: 0,
                take: 1024
            }, this.ts, selector);
        };
        return getTypesCommand;
    }(commandBase));
    return getTypesCommand;
});

//# sourceMappingURL=getTypesCommand.js.map
