/// <reference path="../../typings/tsd.d.ts" />
define(["require", "exports"], function (require, exports) {
    "use strict";
    var apiKeyLocalStorage = (function () {
        function apiKeyLocalStorage() {
        }
        apiKeyLocalStorage.get = function () {
            return localStorage.getObject(apiKeyLocalStorage.localStorageName);
        };
        apiKeyLocalStorage.setValue = function (apiKey) {
            localStorage.setObject(apiKeyLocalStorage.localStorageName, apiKey);
        };
        apiKeyLocalStorage.clean = function () {
            localStorage.removeItem(apiKeyLocalStorage.localStorageName);
        };
        apiKeyLocalStorage.notifyAboutLogOut = function () {
            var event = document.createEvent('StorageEvent');
            event.initStorageEvent('storage', false, false, apiKeyLocalStorage.localStorageName, null, null, null, window.localStorage);
            window.dispatchEvent(event);
        };
        return apiKeyLocalStorage;
    }());
    apiKeyLocalStorage.localStorageName = "apiKey";
    return apiKeyLocalStorage;
});

//# sourceMappingURL=apiKeyLocalStorage.js.map
