/// <reference path="../../typings/tsd.d.ts" />
define(["require", "exports"], function (require, exports) {
    "use strict";
    // we use this function wrapper as knockout calls functions stored directly in observableArray
    var changesCallback = (function () {
        function changesCallback(onFire) {
            this.onFire = onFire;
        }
        changesCallback.prototype.fire = function (arg) {
            this.onFire(arg);
        };
        return changesCallback;
    }());
    return changesCallback;
});

//# sourceMappingURL=changesCallback.js.map
