define(["require", "exports"], function (require, exports) {
    "use strict";
    var Menu = {
        LevelChanged: 'MainMenu.LevelChanged'
    };
    var ResourceSwitcher = {
        ItemSelected: 'ResourceSwitcher.ItemSelected'
    };
    var SearchBox = {
        Input: 'SearchBox.ItemSelected'
    };
    var ChangesApi = {
        Reconnected: 'ChangesApi.Reconnected'
    };
    var Resource = {
        Activate: 'Resource.Activate',
        Disconnect: 'Resource.Disconnect'
    };
    var NotificationCenter = {
        RecentError: 'NotificationCenter.RecentError'
    };
    return {
        Menu: Menu,
        ResourceSwitcher: ResourceSwitcher,
        SearchBox: SearchBox,
        Resource: Resource,
        ChangesApi: ChangesApi,
        NotificationCenter: NotificationCenter
    };
});

//# sourceMappingURL=events.js.map
