/// <reference path="../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var numberFormattingStorage = (function () {
        function numberFormattingStorage() {
        }
        numberFormattingStorage.shouldUseRaw = function () {
            return localStorage.getObject(numberFormattingStorage.localStorageName);
        };
        numberFormattingStorage.save = function (useRawFormat) {
            if (useRawFormat) {
                localStorage.setObject(numberFormattingStorage.localStorageName, true);
            }
            else {
                localStorage.removeItem(numberFormattingStorage.localStorageName);
            }
            var event = document.createEvent('StorageEvent');
            event.initStorageEvent('storage', false, false, numberFormattingStorage.localStorageName, useRawFormat, !useRawFormat, null, window.sessionStorage);
            window.dispatchEvent(event);
        };
        return numberFormattingStorage;
    }());
    numberFormattingStorage.localStorageName = "NumberFormatting";
    return numberFormattingStorage;
});

//# sourceMappingURL=numberFormattingStorage.js.map
