/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var configurationSetting = (function () {
        function configurationSetting(dto) {
            this.localExists = ko.observable();
            this.globalExists = ko.observable();
            this.effectiveValue = ko.observable();
            this.globalValue = ko.observable();
            this.localExists(dto.LocalExists);
            this.globalExists(dto.GlobalExists);
            this.effectiveValue(dto.EffectiveValue);
            this.globalValue(dto.GlobalValue);
        }
        configurationSetting.prototype.isUsingGlobal = function () {
            var g = this.globalExists();
            var l = this.localExists();
            return g && !l;
        };
        configurationSetting.prototype.copyFromGlobal = function () {
            if (this.globalExists()) {
                this.localExists(false);
                this.effectiveValue(this.globalValue());
            }
        };
        return configurationSetting;
    }());
    return configurationSetting;
});

//# sourceMappingURL=configurationSetting.js.map
