define(["require", "exports", "models/database/globalConfig/configurationSetting"], function (require, exports, configurationSetting) {
    "use strict";
    var configurationSettings = (function () {
        function configurationSettings(dto) {
            this.results = {};
            for (var key in dto.Results) {
                this.results[key] = new configurationSetting(dto.Results[key]);
            }
        }
        return configurationSettings;
    }());
    return configurationSettings;
});

//# sourceMappingURL=configurationSettings.js.map
