var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/database/documents/document"], function (require, exports, document) {
    "use strict";
    var indexReplaceDocument = (function (_super) {
        __extends(indexReplaceDocument, _super);
        function indexReplaceDocument(dto) {
            var _this = _super.call(this, dto) || this;
            _this.indexToReplace = dto.IndexToReplace;
            _this.minimumEtagBeforeReplace = dto.MinimumEtagBeforeReplace;
            _this.replaceTimeUtc = dto.ReplaceTimeUtc;
            return _this;
        }
        indexReplaceDocument.prototype.toDto = function () {
            var meta = this.__metadata.toDto();
            return {
                '@metadata': meta,
                IndexToReplace: this.indexToReplace,
                MinimumEtagBeforeReplace: this.minimumEtagBeforeReplace,
                ReplaceTimeUtc: this.replaceTimeUtc
            };
        };
        indexReplaceDocument.prototype.extractReplaceWithIndexName = function () {
            var fullKey = this.getId();
            return fullKey.substr(indexReplaceDocument.replaceDocumentPrefix.length);
        };
        return indexReplaceDocument;
    }(document));
    indexReplaceDocument.replaceDocumentPrefix = "Raven/Indexes/Replace/";
    return indexReplaceDocument;
});

//# sourceMappingURL=indexReplaceDocument.js.map
