/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var patchParam = (function () {
        function patchParam(dto) {
            this.key = ko.observable();
            this.value = ko.observable();
            this.key(dto.Key);
            this.value(dto.Value);
        }
        patchParam.empty = function () {
            return new patchParam({ Key: "", Value: "" });
        };
        patchParam.prototype.toDto = function () {
            return {
                Key: this.key(),
                Value: this.value()
            };
        };
        return patchParam;
    }());
    return patchParam;
});

//# sourceMappingURL=patchParam.js.map
