/// <reference path="../../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var sqlReplicationSimulatedCommand = (function () {
        function sqlReplicationSimulatedCommand(showParamsValues, commandData) {
            var _this = this;
            this.showParamsValues = ko.observable(false);
            this.commandData = ko.observable();
            this.showParamsValues(showParamsValues);
            this.commandData(commandData);
            this.commandText = ko.computed(function () {
                if (_this.showParamsValues() && !!_this.commandData().Params) {
                    var processedCommandText = _this.commandData().CommandText.slice(0);
                    _this.commandData().Params.forEach(function (x) {
                        if (x.Key.slice(0, 1) === '@') {
                            processedCommandText = processedCommandText.replace(x.Key, x.Value);
                        }
                        else {
                            processedCommandText = processedCommandText.replace('@' + x.Key, x.Value);
                        }
                    });
                    return processedCommandText;
                }
                else {
                    return _this.commandData().CommandText;
                }
            });
        }
        return sqlReplicationSimulatedCommand;
    }());
    return sqlReplicationSimulatedCommand;
});

//# sourceMappingURL=sqlReplicationSimulatedCommand.js.map
