/// <reference path="../../../../typings/tsd.d.ts"/>
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/resources/creation/resourceCreationModel"], function (require, exports, resourceCreationModel) {
    "use strict";
    var filesystemCreationModel = (function (_super) {
        __extends(filesystemCreationModel, _super);
        function filesystemCreationModel() {
            return _super.apply(this, arguments) || this;
        }
        Object.defineProperty(filesystemCreationModel.prototype, "resourceType", {
            get: function () {
                return "file system";
            },
            enumerable: true,
            configurable: true
        });
        filesystemCreationModel.prototype.toDto = function () {
            var settings = {};
            var securedSettings = {};
            /* TODO:
            var settings: dictionary<string> = {
                "Raven/ActiveBundles": bundles.join(";")
            }
    
            settings["Raven/FileSystem/DataDir"] = (!this.isEmptyStringOrWhitespace(fileSystemPath)) ? fileSystemPath : "~\\FileSystems\\" + fileSystemName;
            if (storageEngine) {
                settings["Raven/FileSystem/Storage"] = storageEngine;
            }
            if (!this.isEmptyStringOrWhitespace(filesystemLogs)) {
                settings["Raven/TransactionJournalsPath"] = filesystemLogs;
            }
            if (!this.isEmptyStringOrWhitespace(tempPath)) {
                settings["Raven/Voron/TempPath"] = tempPath;
            }*/
            this.fillEncryptionSettingsIfNeeded(securedSettings);
            return {
                Id: this.name(),
                Settings: settings,
                SecuredSettings: securedSettings,
                Disabled: false
            };
        };
        return filesystemCreationModel;
    }(resourceCreationModel));
    return filesystemCreationModel;
});

//# sourceMappingURL=filesystemCreationModel.js.map
