/// <reference path="../../../typings/tsd.d.ts"/>
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/resources/resource"], function (require, exports, resource) {
    "use strict";
    var database = (function (_super) {
        __extends(database, _super);
        function database(dbInfo) {
            var _this = _super.call(this, dbInfo) || this;
            _this.updateUsing(dbInfo);
            /* TODO
            this.isLicensed = ko.pureComputed(() => {
                if (!!license.licenseStatus() && license.licenseStatus().IsCommercial) {
                    var attributes = license.licenseStatus().Attributes;
                    var result = this.activeBundles()
                        .map(bundleName => this.attributeValue(attributes, bundleName === "periodicBackup" ? "periodicExport" : bundleName))
                        .reduce((a, b) => /^true$/i.test(a) && /^true$/i.test(b), true);
                    return result;
                }
                return true;
            });*/
            var dbName = dbInfo.Name;
            _this.recentQueriesLocalStorageName = "ravenDB-recentQueries." + dbName;
            _this.recentPatchesLocalStorageName = "ravenDB-recentPatches." + dbName;
            _this.mergedIndexLocalStoragePrefix = "ravenDB-mergedIndex." + dbName;
            _this.starredDocumentsLocalStorageName = "ravenDB-starredDocuments." + dbName;
            return _this;
        }
        database.prototype.attributeValue = function (attributes, bundleName) {
            for (var key in attributes) {
                if (attributes.hasOwnProperty(key) && key.toLowerCase() === bundleName.toLowerCase()) {
                    return attributes[key];
                }
            }
            return "true";
        };
        database.getNameFromUrl = function (url) {
            var index = url.indexOf("databases/");
            return (index > 0) ? url.substring(index + 10) : "";
        };
        database.prototype.isBundleActive = function (bundleName) {
            if (bundleName) {
                return !!this.activeBundles().find(function (x) { return x.toLowerCase() === bundleName.toLowerCase(); });
            }
            return false;
        };
        Object.defineProperty(database.prototype, "fullTypeName", {
            get: function () {
                return "Database";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(database.prototype, "qualifier", {
            get: function () {
                return database.qualifier;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(database.prototype, "urlPrefix", {
            get: function () {
                return "databases";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(database.prototype, "type", {
            get: function () {
                return database.type;
            },
            enumerable: true,
            configurable: true
        });
        database.prototype.updateUsing = function (incomingCopy) {
            _super.prototype.updateUsing.call(this, incomingCopy);
            //TODO: assign other props
        };
        return database;
    }(resource));
    database.type = "database";
    database.qualifier = "db";
    return database;
});

//# sourceMappingURL=database.js.map
