/// <reference path="../../../../typings/tsd.d.ts"/>
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "models/resources/info/resourceInfo", "common/shell/resourcesManager"], function (require, exports, resourceInfo, resourcesManager) {
    "use strict";
    var filesystemInfo = (function (_super) {
        __extends(filesystemInfo, _super);
        function filesystemInfo(dto) {
            var _this = _super.call(this, dto) || this;
            _this.filesCount = ko.observable();
            _this.update(dto);
            return _this;
        }
        Object.defineProperty(filesystemInfo.prototype, "qualifier", {
            get: function () {
                return "fs";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(filesystemInfo.prototype, "fullTypeName", {
            get: function () {
                return "filesystem";
            },
            enumerable: true,
            configurable: true
        });
        filesystemInfo.prototype.asResource = function () {
            return resourcesManager.default.getFileSystemByName(this.name);
        };
        filesystemInfo.prototype.update = function (fileSystemInfo) {
            _super.prototype.update.call(this, fileSystemInfo);
            this.filesCount(fileSystemInfo.FilesCount);
        };
        return filesystemInfo;
    }(resourceInfo));
    return filesystemInfo;
});

//# sourceMappingURL=filesystemInfo.js.map
