define(["require", "exports"], function (require, exports) {
    "use strict";
    var timeSeriesKey = (function () {
        function timeSeriesKey(dto, ownerTimeSeries) {
            this.ownerTimeSeries = ownerTimeSeries;
            this.Type = dto.Type.Type;
            this.Fields = dto.Type.Fields;
            this.Key = dto.Key;
            this.Points = dto.PointsCount;
        }
        timeSeriesKey.prototype.getEntityName = function () {
            return this.getId();
        };
        timeSeriesKey.prototype.getDocumentPropertyNames = function () {
            return ["Key", "Points"];
        };
        timeSeriesKey.prototype.getId = function () {
            return this.Type + "/" + this.Key;
        };
        timeSeriesKey.prototype.getUrl = function () {
            return this.getId();
        };
        return timeSeriesKey;
    }());
    return timeSeriesKey;
});

//# sourceMappingURL=timeSeriesKey.js.map
