/// <reference path="../../../typings/tsd.d.ts"/>
define(["require", "exports"], function (require, exports) {
    "use strict";
    var timeSeriesPoint = (function () {
        function timeSeriesPoint(type, fields, key, at, values) {
            this.type = type;
            this.fields = fields;
            this.key = key;
            this.At = at;
            this.values = values;
            for (var i = 0; i < this.fields.length; i++) {
                this[fields[i]] = values[i];
            }
        }
        timeSeriesPoint.prototype.getEntityName = function () {
            return this.getId();
        };
        timeSeriesPoint.prototype.getDocumentPropertyNames = function () {
            var columns = ["At"];
            for (var i = 0; i < this.fields.length; i++) {
                columns.push(this.fields[i]);
            }
            return columns;
        };
        timeSeriesPoint.prototype.getId = function () {
            return this.type + "/" + this.key + "/" + this.At;
        };
        timeSeriesPoint.prototype.getUrl = function () {
            return this.getId();
        };
        return timeSeriesPoint;
    }());
    return timeSeriesPoint;
});

//# sourceMappingURL=timeSeriesPoint.js.map
