var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase", "common/copyToClipboard", "common/bindingHelpers/aceEditorBindingHandler"], function (require, exports, dialog, dialogViewModelBase, copyToClipboard, aceEditorBindingHandler) {
    "use strict";
    var showDataDialog = (function (_super) {
        __extends(showDataDialog, _super);
        function showDataDialog(title, inputData, elementToFocusOnDismissal) {
            var _this = _super.call(this, elementToFocusOnDismissal) || this;
            _this.title = title;
            _this.width = ko.observable("");
            _this.inputData = ko.observable();
            _this.inputData(inputData);
            return _this;
        }
        showDataDialog.prototype.attached = function () {
            _super.prototype.attached.call(this);
            aceEditorBindingHandler.install();
            //this.selectText();
            //TODO: create createKeyboardShortcut in dialog view model base and use it
            /*jwerty.key("CTRL+C, enter", e => {
                e.preventDefault();
                this.close();
            }, this, "#documentsText");*/
        };
        /*deactivate() {
            //TODO: call super?
            $("#inputData").unbind('keydown.jwerty');
        }
    
        selectText() {
            $("#inputData").select();
        }*/
        showDataDialog.prototype.close = function () {
            dialog.close(this);
        };
        showDataDialog.prototype.copyToClipboard = function () {
            this.close();
            copyToClipboard.copy(this.inputData(), this.title + " was copied to clipboard");
        };
        return showDataDialog;
    }(dialogViewModelBase));
    return showDataDialog;
});

//# sourceMappingURL=showDataDialog.js.map
