var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    //TODO: delete me?
    var viewSystemDatabaseConfirm = (function (_super) {
        __extends(viewSystemDatabaseConfirm, _super);
        function viewSystemDatabaseConfirm(confirmationMessage, previousDb) {
            if (previousDb === void 0) { previousDb = null; }
            var _this = _super.call(this) || this;
            _this.confirmationMessage = confirmationMessage;
            _this.previousDb = previousDb;
            _this.viewTask = $.Deferred();
            _this.wasConfirmed = false;
            return _this;
        }
        viewSystemDatabaseConfirm.prototype.viewSystemDatabase = function () {
            this.viewTask.resolve();
            this.wasConfirmed = true;
            dialog.close(this);
        };
        viewSystemDatabaseConfirm.prototype.cancel = function () {
            this.viewTask.reject(this.previousDb);
            this.wasConfirmed = false;
            dialog.close(this);
        };
        viewSystemDatabaseConfirm.prototype.detached = function () {
            _super.prototype.detached.call(this);
            if (!this.wasConfirmed) {
                this.viewTask.reject(this.previousDb);
            }
        };
        return viewSystemDatabaseConfirm;
    }(dialogViewModelBase));
    return viewSystemDatabaseConfirm;
});

//# sourceMappingURL=viewSystemDatabaseConfirm.js.map
