var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, dialog, dialogViewModelBase) {
    "use strict";
    var executePatchConfirm = (function (_super) {
        __extends(executePatchConfirm, _super);
        function executePatchConfirm() {
            var _this = _super.apply(this, arguments) || this;
            _this.viewTask = $.Deferred();
            _this.wasConfirmed = false;
            return _this;
        }
        executePatchConfirm.prototype.executePatch = function () {
            this.viewTask.resolve();
            this.wasConfirmed = true;
            dialog.close(this);
        };
        executePatchConfirm.prototype.cancel = function () {
            this.viewTask.reject();
            this.wasConfirmed = false;
            dialog.close(this);
        };
        executePatchConfirm.prototype.detached = function () {
            _super.prototype.detached.call(this);
            if (!this.wasConfirmed) {
                this.viewTask.reject();
            }
        };
        return executePatchConfirm;
    }(dialogViewModelBase));
    return executePatchConfirm;
});

//# sourceMappingURL=executePatchConfirm.js.map
