var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase", "commands/database/documents/deleteDocsMatchingQueryCommand"], function (require, exports, dialog, dialogViewModelBase, deleteDocsMatchingQueryCommand) {
    "use strict";
    var deleteDocumentsMatchingQueryConfirm = (function (_super) {
        __extends(deleteDocumentsMatchingQueryConfirm, _super);
        function deleteDocumentsMatchingQueryConfirm(indexName, queryText, totalDocCount, db) {
            var _this = _super.call(this) || this;
            _this.indexName = indexName;
            _this.queryText = queryText;
            _this.totalDocCount = totalDocCount;
            _this.db = db;
            return _this;
        }
        deleteDocumentsMatchingQueryConfirm.prototype.cancel = function () {
            dialog.close(this);
        };
        deleteDocumentsMatchingQueryConfirm.prototype.deleteDocs = function () {
            new deleteDocsMatchingQueryCommand(this.indexName, this.queryText, this.db).execute();
            dialog.close(this);
        };
        return deleteDocumentsMatchingQueryConfirm;
    }(dialogViewModelBase));
    return deleteDocumentsMatchingQueryConfirm;
});

//# sourceMappingURL=deleteDocumentsMatchingQueryConfirm.js.map
