var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/dialog", "viewmodels/dialogViewModelBase", "plugins/router"], function (require, exports, dialog, dialogViewModelBase, router) {
    "use strict";
    var queryStatsDialog = (function (_super) {
        __extends(queryStatsDialog, _super);
        function queryStatsDialog(queryStats, selectedIndexEditUrl, didDynamicChangeIndex, rawJsonUrl) {
            var _this = _super.call(this) || this;
            _this.queryStats = queryStats;
            _this.selectedIndexEditUrl = selectedIndexEditUrl;
            _this.didDynamicChangeIndex = didDynamicChangeIndex;
            _this.rawJsonUrl = rawJsonUrl;
            return _this;
        }
        queryStatsDialog.prototype.cancel = function () {
            dialog.close(this);
        };
        queryStatsDialog.prototype.goToIndex = function () {
            dialog.close(this);
            router.navigate(this.selectedIndexEditUrl, true);
        };
        return queryStatsDialog;
    }(dialogViewModelBase));
    return queryStatsDialog;
});

//# sourceMappingURL=queryStatsDialog.js.map
