var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/database/debug/getStatusDebugDataSubscriptionsCommand", "viewmodels/viewModelBase"], function (require, exports, getStatusDebugDataSubscriptionsCommand, viewModelBase) {
    "use strict";
    var statusDebugDataSubscriptions = (function (_super) {
        __extends(statusDebugDataSubscriptions, _super);
        function statusDebugDataSubscriptions() {
            var _this = _super.apply(this, arguments) || this;
            _this.data = ko.observable();
            return _this;
        }
        statusDebugDataSubscriptions.prototype.activate = function (args) {
            var _this = this;
            _super.prototype.activate.call(this, args);
            this.updateHelpLink('JHZ574');
            this.activeDatabase.subscribe(function () { return _this.fetchStatusDebugDataSubscriptions(); });
            return this.fetchStatusDebugDataSubscriptions();
        };
        statusDebugDataSubscriptions.prototype.fetchStatusDebugDataSubscriptions = function () {
            var _this = this;
            var db = this.activeDatabase();
            if (db) {
                return new getStatusDebugDataSubscriptionsCommand(db)
                    .execute()
                    .done(function (results) { return _this.data(results); });
            }
            return null;
        };
        return statusDebugDataSubscriptions;
    }(viewModelBase));
    return statusDebugDataSubscriptions;
});

//# sourceMappingURL=statusDebugDataSubscriptions.js.map
