var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/filesystem/files/searchDialogViewModel"], function (require, exports, searchDialogViewModel) {
    "use strict";
    var inMethodFilterElement = (function () {
        function inMethodFilterElement() {
            this.value = ko.observable('');
            this.focus = ko.observable(false);
        }
        return inMethodFilterElement;
    }());
    var inMethodFilter = (function (_super) {
        __extends(inMethodFilter, _super);
        function inMethodFilter(label) {
            var _this = _super.call(this, [ko.observable("")]) || this;
            _this.label = label;
            _this.applyFilterTask = $.Deferred();
            _this.elements = ko.observableArray();
            _this.deleteEnabled = ko.computed(function () { return _this.elements().length > 1; });
            _this.newElement();
            return _this;
        }
        inMethodFilter.prototype.applyFilter = function () {
            this.applyFilterTask.resolve(this.projectElementsToStringArray());
            this.close();
        };
        inMethodFilter.prototype.enabled = function () {
            return true;
        };
        inMethodFilter.prototype.newElement = function () {
            var element = new inMethodFilterElement();
            this.elements.push(element);
            element.focus(true);
        };
        inMethodFilter.prototype.removeElement = function (element) {
            this.elements.remove(element);
        };
        inMethodFilter.prototype.projectElementsToStringArray = function () {
            return this.elements().map(function (x) { return x.value(); });
        };
        return inMethodFilter;
    }(searchDialogViewModel));
    return inMethodFilter;
});

//# sourceMappingURL=inMethodFilter.js.map
