var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "commands/filesystem/resetIndexCommand", "plugins/dialog", "viewmodels/dialogViewModelBase"], function (require, exports, resetIndexCommand, dialog, dialogViewModelBase) {
    "use strict";
    var resetIndexConfirm = (function (_super) {
        __extends(resetIndexConfirm, _super);
        function resetIndexConfirm(fs) {
            var _this = _super.call(this) || this;
            _this.fs = fs;
            _this.resetTask = $.Deferred();
            return _this;
        }
        resetIndexConfirm.prototype.resetIndex = function () {
            var _this = this;
            new resetIndexCommand(this.fs).execute().done(function () { return _this.resetTask.resolve(); }).fail(function () { return _this.resetTask.reject(); });
            dialog.close(this);
        };
        resetIndexConfirm.prototype.cancel = function () {
            this.resetTask.reject();
            dialog.close(this);
        };
        return resetIndexConfirm;
    }(dialogViewModelBase));
    return resetIndexConfirm;
});

//# sourceMappingURL=resetIndexConfirm.js.map
