var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "viewmodels/dialogViewModelBase", "plugins/dialog"], function (require, exports, dialogViewModelBase, dialog) {
    "use strict";
    var resolveConflict = (function (_super) {
        __extends(resolveConflict, _super);
        function resolveConflict(message, title) {
            var _this = _super.call(this) || this;
            _this.resolveTask = $.Deferred();
            _this.resolveTaskStarted = false;
            _this.message = ko.observable('');
            _this.title = ko.observable('');
            _this.message(message);
            _this.title(title);
            return _this;
        }
        resolveConflict.prototype.cancel = function () {
            dialog.close(this);
        };
        resolveConflict.prototype.deactivate = function () {
            // If we were closed via X button or other dialog dismissal, reject the deletion task since
            // we never started it.
            if (!this.resolveTaskStarted) {
                this.resolveTask.reject();
            }
        };
        resolveConflict.prototype.resolve = function () {
            this.resolveTaskStarted = true;
            this.resolveTask.resolve();
            dialog.close(this);
        };
        return resolveConflict;
    }(dialogViewModelBase));
    return resolveConflict;
});

//# sourceMappingURL=resolveConflict.js.map
