var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "plugins/router", "common/appUrl", "viewmodels/viewModelBase"], function (require, exports, durandalRouter, appUrl, viewModelBase) {
    "use strict";
    var configuration = (function (_super) {
        __extends(configuration, _super);
        function configuration() {
            var _this = _super.call(this) || this;
            _this.router = null;
            _this.appUrls = appUrl.forCurrentDatabase();
            var typesRoute = { route: ['timeSeries/configuration', 'timeSeries/configuration/types'], moduleId: 'viewmodels/timeSeries/configuration/types', title: 'Types Configuration', nav: true, hash: _this.appUrls.timeSeriesConfigurationTypes };
            _this.router = durandalRouter.createChildRouter()
                .map([
                typesRoute
            ])
                .buildNavigationModel();
            appUrl.mapUnknownRoutes(_this.router);
            _this.activeSubViewTitle = ko.computed(function () {
                // Is there a better way to get the active route?
                var activeRoute = _this.router.navigationModel().find(function (r) { return r.isActive(); });
                return activeRoute != null ? activeRoute.title : "";
            });
            return _this;
        }
        return configuration;
    }(viewModelBase));
    return configuration;
});

//# sourceMappingURL=configuration.js.map
